<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

class upload
{
	static function file($file, $path, $filename = null)
    {
		if(empty($file['name']) || $file['name'] == "none" || $file['size'] < 1)
		{
			$upload['error'] = 1;
			return $upload;
		}

		if(!$filename)
		{
			$filename = $file['name'];
		}
		
		$upload['original_filename'] = self::safe($file['name']);
		$filename = self::safe($filename);
		$moved = @move_uploaded_file($file['tmp_name'], $path."/".$filename);
		
		if(!$moved)
		{
			$upload['error'] = 2;
			return $upload;
		}
		@pn_chmod($path."/".$filename, '0644');
		@unlink($file['tmp_name']);
		
		$upload['filename'] = $filename;
		$upload['path'] = $path;
		$upload['type'] = $file['type'];
		$upload['size'] = $file['size'];
		return $upload;
    }
	
	static function safe($file)
    {
		return preg_replace("#/$#", "", $file); // Make the filename safe
    }
}

?>