<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

@ob_start();
@ob_implicit_flush(0);

@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('security', true);
define('root_dir', dirname(__FILE__).'/');
define('engine_dir', root_dir.'/engine/');
require_once(engine_dir.'init.php');

if($_GET['a'] == $options['admin'] && !empty($options['admin']))
{
	require_once(engine_dir.'admin/init.php');
}
else
{
	if(mod_rewrite !== 'error' && is_module($_GET['a']) && function_exists('module_'.str_replace('-', '_', $_GET['a']).'_run'))
	{
		call_user_func('module_'.str_replace('-', '_', $_GET['a']).'_run');
	}
	else
	{
		module_error_run('404');
	}
}

if(!defined('no_headers'))
{
    header('Content-type: text/html; charset='.charset);
    header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
    header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
    header('Cache-Control: no-store, no-cache, must-revalidate');
    header('Cache-Control: post-check=0, pre-check=0', false);
    header('Pragma: no-cache');
}

if(!defined('no_template'))
{
	if(!admin_page && !is_ajax())
	{
		module_counter_update();
		http_referer();
	}

	if(!defined('no_blocks'))
		blocks();

	$tpl->assign(array(
		'{head}' => head(),
		'{num-queries}' => $d->num_queries,
		'{creation-time}' => substr(microtime(true)-start_time, 0, 4),
		'{memory-get-usage}' => memoryGetUsage(),
	));

	if(!empty($page['theme']) && !admin_page)
	{
		$page['theme'] = filter($page['theme'], 'en-num');
		if(file_exists($tpl->base_dir.$page['theme'].'.tpl'))
		{
			$tpl->load($page['theme'].'.tpl');
		}
	}

    $tpl->tags['{content}'] = '<div id="parsnuke-ajaxContent">'.(isset($tpl->tags['{content}'])? $tpl->tags['{content}'] : null).'</div>';
    $tpl->display();
}
unset($tpl, $d, $page);
gzipOut();
?>