<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

@session_start();
@ob_start();
@ob_implicit_flush(0);

define('security', true);
define('root_dir', dirname(dirname(__FILE__)).'/');
define('engine_dir', root_dir.'/engine/');
require_once('common.php');
require_once('template/template.php');

$ajax = isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest'? true : false;
$_GET['action'] = !isset($_GET['action']) || empty($_GET['action'])? null : $_GET['action'];

if(!file_exists('parsnuke.lock')):
switch($_GET['action'])
{
	case 'check':
	if(!$ajax) print_header();
	echo '<script>parsnuke.$("percent").style.width = "150px"</script>'."\n";
	print_info('برسي قبل از نصب', 'هر كدام از آيتم هاي اين بخش كه قرمز رنگ باشد بايد اقدامات لازم براي رفع مشكل آن انجام شود، در غير اينصورت ممکن است نصب پارس نيوك با مشكل مواجه شود.');
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '<tr>'."\n";
	echo '	<td style="width:290px">نسخه PHP بالاتر از 5.0</td>'."\n";
	echo '	<td>'.(phpversion() >= '5.0'? '<b><font color="green">بله</font></b>' : '<b><font color="red">خیر</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پشتیبانی از zlib</td>'."\n";
	echo '	<td>'.(extension_loaded('zlib')? '<b><font color="green">بله</font></b>' : '<b><font color="red">خیر</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پشتیبانی از GD</td>'."\n";
	echo '	<td>'.(extension_loaded('gd')? '<b><font color="green">بله</font></b>' : '<b><font color="red">خیر</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پشتیبانی از MySQL</td>'."\n";
	echo '	<td>'.(function_exists('mysql_connect')? '<b><font color="green">بله</font></b>' : '<b><font color="red">خیر</font></b>').'</td>'."\n";
	echo '	</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>فایل پیکربندی <font color="#CCCCCC" size="1" dir="ltr">(engine/config.inc.php)</font></td>'."\n";
	echo '	<td>'.(file_exists('../engine/config.inc.php')?(is_writable('../engine/config.inc.php')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>'):(is_writable('../engine')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>')).'</td>'."\n";
	echo '</tr>'."\n";
	echo '</table>'."\n";
	echo '<br>'."\n";
	print_info('تنظيمات توصيه شده براي پارس نيوك', 'توصيه مي شود تنظيمات مقابل براي سازگاري كامل با پارس نيوك بر روي PHP انجام شود.');
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '<tr>'."\n";
	echo '	<th>نوع</th>'."\n";
	echo '	<th style="width:230px">توصیه شده </th>'."\n";
	echo '	<th style="width:100px">فعلی</th>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Safe Mode</td>'."\n";
	echo '	<td>غیرفعال</td>'."\n";
	echo '	<td>'.(ini_get('safe_mode') != '1'? '<b><font color="green">غیرفعال</font></b>' : '<b><font color="red">فعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Display Errors</td>'."\n";
	echo '	<td>فعال</td>'."\n";
	echo '	<td>'.(ini_get('display_errors') == '1'? '<b><font color="green">فعال</font></b>' : '<b><font color="red">غیرفعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>File Uploads</td>'."\n";
	echo '	<td>فعال</td>'."\n";
	echo '	<td>'.(ini_get('file_uploads') == '1'? '<b><font color="green">فعال</font></b>' : '<b><font color="red">غیرفعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Magic Quotes GPC</td>'."\n";
	echo '	<td>فعال</td>'."\n";
	echo '	<td>'.(ini_get('magic_quotes_gpc') == '1'? '<b><font color="green">فعال</font></b>' : '<b><font color="red">غیرفعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Magic Quotes Runtime</td>'."\n";
	echo '	<td>غیرفعال</td>'."\n";
	echo '	<td>'.(ini_get('magic_quotes_runtime') != '1'? '<b><font color="green">غیرفعال</font></b>' : '<b><font color="red">فعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Register Globals</td>'."\n";
	echo '	<td>غیرفعال</td>'."\n";
	echo '	<td>'.(ini_get('register_globals') != '1'? '<b><font color="green">غیرفعال</font></b>' : '<b><font color="red">فعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Output Buffering</td>'."\n";
	echo '	<td>غیرفعال</td>'."\n";
	echo '	<td>'.(ini_get('output_buffering') != '1'? '<b><font color="green">غیرفعال</font></b>' : '<b><font color="red">فعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>Session auto start</td>'."\n";
	echo '	<td>غیرفعال</td>'."\n";
	echo '	<td>'.(ini_get('session.auto_start') != '1'? '<b><font color="green">غیرفعال</font></b>' : '<b><font color="red">فعال</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '</table>'."\n";
	echo '<br>'."\n";
	print_info('دسترسي فايل ها', 'پارس نيوك نياز دارد تا بتواند اين فايل ها و پوشه ها را ويرايش كند.');
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '<tr>'."\n";
	echo '	<td style="width:290px">فایل پیکربندی <font color="#CCCCCC" size="1" dir="ltr">(engine/config.inc.php)</font></td>'."\n";
	echo '	<td>'.(file_exists('../engine/config.inc.php')?(is_writable('../engine/config.inc.php')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>'):(is_writable('../engine')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>')).'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پوشه کش <font color="#CCCCCC" size="1" dir="ltr">(engine/cache/)</font></td>'."\n";
	echo '	<td>'.(is_writable('../engine/cache')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پوشه فایل های پشتیبان <font color="#CCCCCC" size="1" dir="ltr">(engine/admin/backups/)</font></td>'."\n";
	echo '	<td>'.(is_writable('../engine/admin/backups')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>پوشه آپلود <font color="#CCCCCC" size="1" dir="ltr">(/uploads/)</font></td>'."\n";
	echo '	<td>'.(is_writable('../uploads')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '<tr>'."\n";
	echo '	<td>فایل روبات ها <font color="#CCCCCC" size="1" dir="ltr">(robots.txt)</font></td>'."\n";
	echo '	<td>'.(is_writable('../robots.txt')? '<b><font color="green">قابل نوشتن</font></b>' : '<b><font color="red">غیرقابل نوشتن</font></b>').'</td>'."\n";
	echo '</tr>'."\n";
	echo '</table>'."\n";
	echo '<button onClick="install_load(\'database\')">ادامه نصب پارس نیوک</button><button onClick="install_load(\'check\')" style="margin-left:10px">برسی مجدد</button>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'database':
	if(!$ajax) print_header();
	echo '<script>parsnuke.$("percent").style.width = "250px"</script>'."\n";
	print_info('پیکربندی ديتابيس', 'لطفا اطلاعات لازم براي اتصال به ديتابس را معين کنيد، در صورت صحيح بودن اطلاعات فايل پيکربندي ديتابس ساخته خواهد شد و اطلاعات لازم براي ارتباط با ديتابس در آن ذخيره مي شود.');
	echo '<form id="form-database" onSubmit="return false">'."\n";
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '  <tr>'."\n";
	echo '    <td style="width:230px; cursor: help" title="معمولا localhost مي باشد">نام هاست <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Host Name)</font></td>'."\n";
	echo '    <td><input name="database[host]" id="input-host" type="text" value="localhost" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>نام کاربري <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL User Name)</font></td>'."\n";
	echo '    <td><input name="database[user]" id="input-user" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>پسورد ديتابس <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL Password)</font></td>'."\n";
	echo '    <td><input name="database[password]" id="input-password" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>نام ديتابيس <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL Database Name)</font></td>'."\n";
	echo '    <td><input name="database[name]" id="input-name" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td></td>'."\n";
	echo '    <td><button onClick="install_config()" disabled="disabled" id="button-disabled">ساختن فايل پيكربندي ديتابيس</button><button onClick="install_check(\'database\')" style="margin-left:10px">برسي اطلاعات</button></td>'."\n";
	echo '  </tr>'."\n";
	echo '</table>'."\n";
	echo '</form>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'db-check':
	$_POST['database'] = array_map('trim', $_POST['database']);
	$result = 'error';
	
	$connect = @mysql_connect($_POST['database']['host'], $_POST['database']['user'], $_POST['database']['password'], true);
	if($connect)
	{
		if(@mysql_select_db($_POST['database']['name'], $connect)) 
		{
			$result = 'success';
		}
		else
		{
			$result = 'select';
		}
	}
	else
	{
		$result = 'connect';
	}
	
	die('{"result":"'.$result.'"}');
	break;
	
	case 'config':
	if(!$ajax) print_header();
	$_POST['database'] = array_map('trim', $_POST['database']);
	
	$connect = @mysql_connect($_POST['database']['host'], $_POST['database']['user'], $_POST['database']['password'], true);
	if($connect)
	{
		if(@mysql_select_db($_POST['database']['name'], $connect)) 
		{
			$connect = 'success';
		}
	}

	if($connect == 'success')
	{
		$_POST['database'] = array_map(create_function('$a', 'return str_replace("\'", "\\\'", $a);'), $_POST['database']);
		
		$php  = '<?php'."\n";
		$php .= '/**'."\n";
		$php .= ' * @In the name of God!'."\n";
		$php .= ' * @author: Iman Moodi (Iman92)'."\n";
		$php .= ' * @email: info@parsnuke.com'."\n";
		$php .= ' * @link: http://www.parsnuke.com'."\n";
		$php .= ' * @license: http://www.gnu.org/licenses/'."\n";
		$php .= ' * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.'."\n";
		$php .= ' * @ParsNuke CMS is a Free Software'."\n";
		$php .= ' */'."\n\n";
		$php .= 'defined(\'security\') or die(\'Nice TRY!\');'."\n\n";
		$php .= 'define(\'database_host\', \''.$_POST['database']['host'].'\');'."\n";
		$php .= 'define(\'database_user\', \''.$_POST['database']['user'].'\');'."\n";
		$php .= 'define(\'database_password\', \''.$_POST['database']['password'].'\');'."\n";
		$php .= 'define(\'database_name\', \''.$_POST['database']['name'].'\');'."\n";
		$php .= 'define(\'database_prefix\', \'parsnuke_\');'."\n";
		$php .= 'define(\'database_charset\', \'utf8\');'."\n";
		$php .= 'define(\'database_save_queries\', false);'."\n\n";
		$php .= 'define(\'version\', \'2.0.0\');'."\n";
		$php .= 'define(\'error_reporting\', false);'."\n";
		$php .= 'define(\'charset\', \'utf-8\');'."\n";
		$php .= 'define(\'sitekey\', \''.generate_password(40).'\');'."\n";
		$php .= 'define(\'domain\', \''.str_replace('www.', '', $_SERVER['SERVER_NAME']).'\');'."\n";
		$php .= 'define(\'url\', \'http://'.trim(str_replace('www.', '', $_SERVER['SERVER_NAME']).'/'.my_path(), '/').'/\');'."\n";
		$php .= 'define(\'caching\', true);'."\n";
		$php .= 'define(\'caching_life\', 7200);'."\n\n";
		$php .= '?>';

		if(file_put_contents('../engine/config.inc.php', $php))
		{
			echo '<script>parsnuke.$("percent").style.width = "400px"</script>'."\n";
			print_info('پايان پيکربندي', 'فايل پيکربندي ديتابس با موفقيت ايجاد شده است، در مرحله ي بعدي اطلاعات لازم در ديتابيس سايت نوشته خواهد شد.<br>اطلاعات ثبت شده به شرح زیر است.');

			require_once('../engine/config.inc.php');
			echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
			echo '<tr>'."\n";
			echo '	<td style="width:290px">نام هاست <font color="#CCCCCC" size="1" dir="ltr">(Host Name)</font></td>'."\n";
			echo '	<td><b>'.database_host.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>نام کاربري <font color="#CCCCCC" size="1" dir="ltr">(MySQL User Name)</font></td>'."\n";
			echo '	<td><b>'.database_user.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>پسورد ديتابس <font color="#CCCCCC" size="1" dir="ltr">(MySQL Password)</font></td>'."\n";
			echo '	<td><b>'.database_password.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>نام ديتابيس <font color="#CCCCCC" size="1" dir="ltr">(MySQL Database Name)</font></td>'."\n";
			echo '	<td><b>'.database_name.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>آدرس سایت</td>'."\n";
			echo '	<td dir=ltr><b>'.url.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>دامنه سایت</td>'."\n";
			echo '	<td><b>'.domain.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '</table>'."\n";

			echo '<button onClick="install_load(\'db-insert\')">نوشتن اطلاعات دیتابیس</button>'."\n";
		}
		else
		{
			print_info('خطا در پيکربندي', 'در نوشتن فایل پیکربندی خطایی رخ داده مجدد تلاش کنید.');
			echo '<button onClick="install_load(\'database\')">بازگشت</button>'."\n";
		}
	}
	else
	{
		print_info('خطا در پیکربندی ديتابيس', 'اطلاعات وارد شده صحیح نیست لطفا بازگردید و مجدد تلاش کنید.');
		echo '<button onClick="install_load(\'database\')">بازگشت</button>'."\n";
	}

	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'db-insert':
	if(!$ajax) print_header();
	require_once('../engine/config.inc.php');
	
	$connect = @mysql_connect(database_host, database_user, database_password, true);
	if($connect)
	{
		if(@mysql_select_db(database_name, $connect)) 
		{
			$connect = 'success';
		}
	}

	if($connect == 'success')
	{
		@set_time_limit(1200);
		require_once('../engine/database.class.php');
		$d = new database;
		$d->connect(array(
			'host' => database_host,
			'user' => database_user,
			'password' => database_password,
			'name' => database_name,
			'prefix' => database_prefix,
			'charset' => database_charset,
		));
		require_once('sql/install.php');
		
		print_info('پايان نوشتن دیتابیس', 'اطلاعات ديتابيس سايت شما با موفقيت نوشته شده است، در مرحله بعد یک مدیر برای سایت خواهید ساخت.');
		echo '<button onClick="install_load(\'admin\')">ساختن مدیر</button>'."\n";
	}
	else
	{
		print_info('خطا در پیکربندی ديتابيس', 'ارتباط برقرار نشد!');
		echo '<button onClick="install_load(\'database\')">بازگشت</button>'."\n";
	}

	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;

	case 'admin':
	if(!$ajax) print_header();
	echo '<script>parsnuke.$("percent").style.width = "500px"</script>'."\n";
	print_info('اطلاعات کاربري مدير سايت', 'لطفا اطلاعات مورد نياز براي ساختن مدير سايت را وارد کنيد، نام کاربری باید حداقل 4 حرف باشد و پسورد باید حداقل 6 حرف باشد.');
	echo '<form id="form-admin" onSubmit="return false">'."\n";
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '  <tr>'."\n";
	echo '    <td style="width:230px">نام کاربري مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin User Name)</font></td>'."\n";
	echo '    <td><input name="admin[name]" id="input-name" type="text" value="admin" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>ایمیل مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Email)</font></td>'."\n";
	echo '    <td><input name="admin[email]" id="input-email" type="text" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>پسورد مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Password)</font></td>'."\n";
	echo '    <td><input name="admin[pass1]" id="input-pass1" type="Password" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>تکرار پسورد مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Password)</font></td>'."\n";
	echo '    <td><input name="admin[pass2]" id="input-pass2" type="Password" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td></td>'."\n";
	echo '    <td><button onClick="install_admin()" disabled="disabled" id="button-disabled">ايجاد مدير سايت</button><button onClick="install_check(\'admin\')" style="margin-left:10px">برسي اطلاعات</button></td>'."\n";
	echo '  </tr>'."\n";
	echo '</table>'."\n";
	echo '</form>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'admin-check':
	$_POST['admin'] = array_map('trim', $_POST['admin']);
	$_POST['admin']['email'] = filter($_POST['admin']['email'], 'safe');
	$_POST['admin']['pass1'] = filter($_POST['admin']['pass1'], 'safe');
	$_POST['admin']['pass2'] = filter($_POST['admin']['pass2'], 'safe');
	$result = 'error';
	
	if(!preg_check("/^[0-9a-z-_]{4,25}$/i", $_POST['admin']['name']))
	{
		$result = 'name';
	}
	else
	{
		if(!validate_email_format($_POST['admin']['email']))
		{
			$result = 'email';
		}
		else
		{
			if(strlen($_POST['admin']['pass1'])<=5 || $_POST['admin']['pass1']!=$_POST['admin']['pass2'])
			{
				$result = 'pass';
			}
			else
			{
				$result = 'success';
			}
		}
	}
	
	die('{"result":"'.$result.'"}');
	break;
	
	case 'admin-insert':
	if(!$ajax) print_header();

	require_once('../engine/config.inc.php');
	require_once('../engine/database.class.php');
	$d = new database;
	$d->connect(array(
		'host' => database_host,
		'user' => database_user,
		'password' => database_password,
		'name' => database_name,
		'prefix' => database_prefix,
		'charset' => database_charset,
	));
	
	$_POST['admin'] = array_map('trim', $_POST['admin']);
	$_POST['admin'] = $d->escapeString($_POST['admin']);
	$_POST['admin']['email'] = filter($_POST['admin']['email'], 'safe');
	$_POST['admin']['pass1'] = filter($_POST['admin']['pass1'], 'safe');
	$_POST['admin']['pass2'] = filter($_POST['admin']['pass2'], 'safe');
	
	if(preg_check("/^[0-9a-z-_]{4,25}$/i", $_POST['admin']['name']))
	{
		if(strlen($_POST['admin']['pass1'])>5 && $_POST['admin']['pass1']==$_POST['admin']['pass2'] && validate_email_format($_POST['admin']['email']))
		{
			$_POST['admin']['pass1'] = str_replace('\\', null, $_POST['admin']['pass1']);
			$d->update('members', array(
				'member_name' => $_POST['admin']['name'],
				'member_alias' => $_POST['admin']['name'],
				'member_password' => md5('pars-'.sha1($d->escapeString($_POST['admin']['pass1'])).'-nuke'),
				'member_ip' => get_ip(),
				'member_lastip' => get_ip(),
				'member_email' => $_POST['admin']['email'],
				'member_date' => time(),
				'member_lastvisit' => time(),
			), "member_id=1", 1);
			
			$d->update('posts', array(
				'post_author' => $_POST['admin']['name'],
			));
			
			$d->update('pages', array(
				'page_author' => $_POST['admin']['name'],
			));
			
			$d->update('shoutbox', array(
				'shout_member' => $_POST['admin']['name'],
			));
			
			$result = 'ok';
		}
	}
	
	if(isset($result))
	{
		echo '<script>parsnuke.$("percent").style.width = "615px"</script>'."\n";
		print_info('پايان نصب پارس نيوک', 'تبريک! سايت پارس نيوکي شما با موفقيت ايجاد شده است و مي توانيد از آن لذت ببريد.<br>برای انتخاب پارس نیوک از شما سپاس گذاریم.<br>ایمان مودی');
		
		echo '<center><br>'."\n";
		echo '<a href="'.url.'" target="_blank"><b>مشاهده سایت</b></a><br><br>'."\n";
		echo 'آدرس بخش مدیریت سایت<br>'."\n";
		echo '<a href="'.url.'?a=admin" target="_blank"><b>'.url.'?a=admin</b></a><br><br>'."\n";
		echo '<a href="http://parsnuke.com" target="_blank"><b>مشاهده سایت رسمی پارس نیوک ایرانی!</b></a>'."\n";
		echo '</center>'."\n";

		$MailHeader  = 'MIME-Version: 1.0' . "\r\n";
		$MailHeader .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
		$MailHeader .= 'From: admin@parsnuke.com'."\r\n"; // Sender's Email Address
		$MailHeader .= 'Return-Path: admin@parsnuke.com <admin@parsnuke.com> /n'; // Indicates Return-path
		$MailHeader .= 'Reply-To: admin@parsnuke.com <admin@parsnuke.com> /n'; // Reply-to Address
		$MailHeader .= 'X-Mailer: PHP/' . phpversion(); // For X-Mailer
		$Body = "<div style='direction: rtl;text-align: right;font-family: Tahoma;font-size: 10pt'><b>سايت شما با موفقيت ساخته شد!<br>از انتخاب پارس نيوك سپاس گذاريم.</b><br>ايمان مودي</div>";
		@mail($_POST['admin']['email'], "يك سايت جديد با پارس نيوك!", $Body, $MailHeader);
		
		file_put_contents('parsnuke.lock', 1);
	}
	else
	{
		print_info('اطلاعات کاربري مدير سايت', 'خطایی رخ داده مجدد تلاش کنید!');
		echo '<button onClick="install_load(\'admin\')">بازگشت</button>'."\n";
	}
	
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	default:
	if(!$ajax) print_header();
	print_info('مجوز پارس نيوك', '<a href="http://parsnuke.com">پارس نيوك</a> يك سيستم مديريت محتواي رايگان است كه تحت مجوز GNU منتشر مي شود، طبق اين مجوز شما مي توانيد از پارس نيوک به عنوان سکوي پرتاب در پروژه هاي شخصي خود استفاده کنيد، اما به اين نکته دقت کنيد که نمي توانيد کپي رايت پارس نيوک را از سورس صفحات حذف کنيد.');
	echo '<iframe src="gpl/gpl.html" class="license" frameborder="0" scrolling="auto"></iframe>'."\n";
	echo '<button onClick="install_load(\'check\', 40)">شروع نصب پارس نيوک ايراني</button>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
}
else:
	if(!$ajax) print_header();
	print_info('خطا', '<font color=red>پارس نيوك قبلا نصب شده است!<br />براي نصب مجدد فايل <b>parsnuke.lock</b> را از پوشه <b>install</b> حذف كنيد.</font>');
	echo '<center><a href="http://parsnuke.com" target="_blank"><b>مشاهده سایت رسمی پارس نیوک ایرانی!</b></a></center>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
endif;

?>