<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_admin'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_admin`;");
$d->query("CREATE TABLE `parsnuke_admin` (
  `admin_rights` char(20) NOT NULL default '',
  `admin_image` varchar(300) NOT NULL default '',
  `admin_title` varchar(50) NOT NULL default '',
  `admin_link` varchar(100) NOT NULL default 'reserved',
  `admin_page` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`admin_rights`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_admin'
#

$d->query("INSERT INTO `parsnuke_admin` VALUES('robots', 'engine/images/admin/robots.png', 'روبات ها', '?a={admin-page}&b=robots', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('blocks', 'engine/images/admin/blocks.png', 'بلوک ها', '?a={admin-page}&b=blocks', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('account', 'engine/images/admin/account.png', 'سامانه کاربری', '?a={admin-page}&b=mod&c=account', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('modules', 'engine/images/admin/modules.png', 'ماژول ها', '?a={admin-page}&b=modules', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('groups', 'engine/images/admin/groups.png', 'گروه های کاربری', '?a={admin-page}&b=groups', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('referer', 'engine/images/admin/referer.png', 'لینک دهندگان', '?a={admin-page}&b=referer', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('banned', 'engine/images/admin/banned.png', 'مسدود سازی', '?a={admin-page}&b=banned', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('counter', 'engine/images/admin/counter.png', 'آمارگیر', '?a={admin-page}&b=mod&c=counter', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('voting', 'engine/images/admin/voting.png', 'نظرسنجی', '?a={admin-page}&b=mod&c=voting', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('options', 'engine/images/admin/options.png', 'تنظیمات عمومی', '?a={admin-page}&b=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('account-op', 'engine/images/admin/account-op.png', 'سامانه کاربری', '?a={admin-page}&b=mod&c=account&do=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts', 'engine/images/admin/posts.png', 'پست ها', '?a={admin-page}&b=mod&c=posts', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-categories', 'engine/images/admin/posts-categories.png', 'موضوعات پست ها', '?a={admin-page}&b=mod&c=posts&do=categories', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-options', 'engine/images/admin/posts-options.png', 'تنظیمات پست ها', '?a={admin-page}&b=mod&c=posts&do=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('media', 'engine/images/admin/media.png', 'رسانه ها', '?a={admin-page}&b=media', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('pages', 'engine/images/admin/pages.png', 'صفحات اضافی', '?a={admin-page}&b=mod&c=pages', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-comments', 'engine/images/admin/posts-comments.png', 'نظرات پست ها', '?a={admin-page}&b=mod&c=posts&do=comments', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('newsletter', 'engine/images/admin/newsletter.png', 'خبرنامه', '?a={admin-page}&b=mod&c=newsletter', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('cache', 'engine/images/admin/cache.png', 'مدیریت کش', '?a={admin-page}&b=cache', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('phpinfo', 'engine/images/admin/phpinfo.png', 'اطلاعات PHP', '?a={admin-page}&b=phpinfo', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('simple-links', 'engine/images/admin/simple-links.png', 'پیوندها', '?a={admin-page}&b=mod&c=simple-links', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('templates', 'engine/images/admin/templates.png', 'تم ها', '?a={admin-page}&b=templates', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('backup', 'engine/images/admin/backup.png', 'پشتیبان گیری', '?a={admin-page}&b=backup', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_banned'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_banned`;");
$d->query("CREATE TABLE `parsnuke_banned` (
  `ban_id` int(255) NOT NULL auto_increment,
  `ban_ip` varchar(300) NOT NULL,
  `ban_reason` varchar(400) NOT NULL,
  `ban_date` int(20) NOT NULL,
  PRIMARY KEY  (`ban_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_blocks'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_blocks`;");
$d->query("CREATE TABLE `parsnuke_blocks` (
  `block_id` int(255) NOT NULL auto_increment,
  `block_ordering` int(255) NOT NULL,
  `block_position` varchar(100) NOT NULL,
  `block_title` varchar(255) NOT NULL,
  `block_content` text NOT NULL,
  `block_view` int(1) NOT NULL,
  `block_function` varchar(500) NOT NULL,
  `block_active` int(1) NOT NULL,
  `block_language` varchar(40) NOT NULL,
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_blocks'
#

$d->query("INSERT INTO `parsnuke_blocks` VALUES('1', '7', 'right', 'موضوعات', '', '1', 'categories', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('2', '13', 'top', 'جستجو درسایت', '[- options -]
size = 70', '1', 'search', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('3', '11', 'right', 'خبرنامه', '', '1', 'newsletter', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('4', '3', 'left', 'كاربري', '', '1', 'account', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('5', '12', 'right', 'اطلاعات آماری', '', '1', 'counter', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('6', '4', 'left', 'صفحات اضافی', '[- options -]
total = 15', '1', 'pages', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('7', '10', 'right', 'لینکستان', '', '1', 'simple_links', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('8', '8', 'right', 'جدیدترین پست ها', '[- options -]
total = 15', '1', 'last_posts', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('9', '5', 'left', 'بیشترین بازدید شده ها', '[- options -]
total = 10
hits = true
order = desc', '1', 'last_posts', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('10', '9', 'right', 'نظرسنجی', '', '1', 'voting', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('11', '2', 'bottom', 'جدیدترین نظرات', '[- options -]
total = 15
order = desc', '1', 'posts_comments', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('12', '6', 'left', 'جعبه پیام', '', '1', 'shoutbox', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('13', '14', 'top', 'پارس نیوک نگارش 2.0', '<p style=\"text-align: center;\"><a href=\"http://parsnuke.com\" target=\"_blank\"><img alt=\"پارس نیوک ایرانی نگارش 2.0\" src=\"uploads/ads/parsnuke_468.60.gif\" /></a></p>', '1', '', '1', '');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_comments'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_comments`;");
$d->query("CREATE TABLE `parsnuke_comments` (
  `comment_id` int(255) NOT NULL auto_increment,
  `comment_type` varchar(50) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_link` int(255) NOT NULL,
  `comment_member_id` int(255) NOT NULL,
  `comment_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_email` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_url` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_ip` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_date` int(20) NOT NULL default '0',
  `comment_text` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_approve` int(1) NOT NULL default '0',
  `comment_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_counter'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_counter`;");
$d->query("CREATE TABLE `parsnuke_counter` (
  `counter_name` varchar(200) NOT NULL,
  `counter_value` varchar(400) NOT NULL,
  `counter_version` varchar(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_counter'
#

$d->query("INSERT INTO `parsnuke_counter` VALUES('Total', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Internet Explorer', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Firefox', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Mozilla', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Opera', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Netscape', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Konqueror', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Safari', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Galeon', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Epiphany', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-K-Meleon', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-IBrowse', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Camino', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-iCab', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-OmniWeb', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-w3m', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Lynx', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Links', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-ELinks', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Curl', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Voyager', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Amaya', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-unknown', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Windows', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Linux', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Mac OS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-SunOS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-FreeBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-NetBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-OpenBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-IRIX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-BeOS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-OS/2', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-AIX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Amiga', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Darwin', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-HP-UX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-QNX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-iPhone', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-iPod', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-unknown', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Googlebot-Image', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Mediapartners-Google', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Googlebot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Altavista', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Inktomi', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Yahoo!', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Infoseek', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Nutch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Fireball', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-AlltheWeb', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Alexa (web.archive.org)', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Alexa', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WiseNutBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C Validator', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C CSS Validator', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SurveyBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-QuepasaCreep', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-PHP', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Java', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Overture', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-MSNBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Claymont', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Baiduspider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Almaden', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Il Trovatore', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Teoma', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Gigabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Girafabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WebCopier', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-HTTrack', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WGet', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-lwp-request', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-JetBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NaverBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Larbin', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ObjectsSearch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Robozilla', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Walhello appie', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Grub', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Gaisbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-mozDex', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-GeonaBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Openbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Boitho', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Pompos', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Exabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Xenu Link Sleuth', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C-checklink', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Versus', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-FindLinks', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-wwwster', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Steeler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Ocelli', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-BecomeBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Seekbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Psbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-IRLbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-PhpDig', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-gazz', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-MJ12bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-getRAX Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Amfibibot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-GigabotSiteSearch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-pipeLiner', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ZipppBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TurnitinBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-KazoomBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NetResearchServer', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-gamekitbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Vagabondo', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TheSuBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NPBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Cerberian', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ConveraCrawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-search.ch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ichiro', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-CydralSpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Szukacz', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Patwebbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SpeedySpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Mackster', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-thumbshots-de-Bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Digger', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Zao', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Tutorial Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-InelaBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ASPseek', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Francis', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TutorGigBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-CipinetBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ES.NET_Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-eventax', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-stat', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Xaldon WebSpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Faxobot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Sherlock', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Holmes', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-lmspider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SeznamBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-other', '0', '');");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_fields'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_fields`;");
$d->query("CREATE TABLE `parsnuke_fields` (
  `field_type` varchar(50) NOT NULL,
  `field_link` int(255) NOT NULL,
  `field_name` varchar(200) NOT NULL,
  `field_value` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_member_groups'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_member_groups`;");
$d->query("CREATE TABLE `parsnuke_member_groups` (
  `group_id` smallint(5) NOT NULL auto_increment,
  `group_name` varchar(32) NOT NULL default '',
  `group_superAdmin` int(1) NOT NULL default '0',
  `group_icon` varchar(200) NOT NULL default '',
  `group_title` text NOT NULL,
  `group_rights` text NOT NULL,
  `group_admin` int(1) NOT NULL default '0',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_member_groups'
#

$d->query("INSERT INTO `parsnuke_member_groups` VALUES('1', 'مدير کل', '1', 'engine/images/groups/1.png', '<font color=\"red\"><strong>{name}</strong></font>', 'account,banned,blocks,cache,counter,groups,media,modules,newsletter,phpinfo,referer,robots,templates,pages,posts,posts-categories,posts-comments,simple-links,voting,account-op,options,posts-options', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('2', 'مدير', '0', 'engine/images/groups/2.png', '<font color=\"green\"><strong>{name}</strong></font>', 'banned,blocks,counter,media,modules,newsletter,referer,pages,posts,posts-categories,posts-comments,simple-links,voting,options', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('3', 'ويرايشگر', '0', 'engine/images/groups/3.png', '<strong>{name}</strong>', 'pages,posts,posts-categories,posts-comments', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('4', 'عضو سايت', '0', 'engine/images/groups/4.png', '{name}', '', '0');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('5', 'ميهمان', '0', 'engine/images/groups/5.png', '{name}', '', '0');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_members'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_members`;");
$d->query("CREATE TABLE `parsnuke_members` (
  `member_id` mediumint(8) unsigned NOT NULL auto_increment,
  `member_name` varchar(30) NOT NULL default '',
  `member_key` varchar(255) NOT NULL,
  `member_password` varchar(64) NOT NULL default '',
  `member_email` varchar(100) NOT NULL default '',
  `member_avatar` varchar(100) NOT NULL default '',
  `member_date` int(10) NOT NULL,
  `member_lastvisit` int(10) unsigned NOT NULL default '0',
  `member_visits` int(255) NOT NULL default '1',
  `member_ip` varchar(45) NOT NULL default '0.0.0.0',
  `member_lastip` varchar(45) NOT NULL default '0.0.0.0',
  `member_status` tinyint(1) unsigned NOT NULL default '1',
  `member_web` varchar(200) NOT NULL default '',
  `member_alias` varchar(100) NOT NULL,
  `member_signature` varchar(400) NOT NULL,
  `member_group` int(5) NOT NULL default '4',
  `member_newsletter` int(1) NOT NULL default '1',
  `member_nationality` varchar(200) NOT NULL default 'Iran (Islamic Republic of)',
  `member_gender` varchar(10) NOT NULL default 'male',
  `member_language` varchar(50) NOT NULL,
  PRIMARY KEY  (`member_id`),
  UNIQUE KEY `member_name` (`member_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_members'
#

$d->query("INSERT INTO `parsnuke_members` VALUES('1', 'admin', '', '', 'info@parsnuke.com', 'uploads/avatars/avatar_1.jpg', '1337878047', '1343773326', '1', '127.0.0.1', '127.0.0.1', '1', '', 'admin', '', '1', '1', 'Iran (Islamic Republic of)', 'male', '');");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_modules'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_modules`;");
$d->query("CREATE TABLE `parsnuke_modules` (
  `module_name` varchar(100) NOT NULL,
  `module_version` varchar(15) NOT NULL default '1.0',
  `module_status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`module_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_modules'
#

$d->query("INSERT INTO `parsnuke_modules` VALUES('account', '1.1', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('contact-us', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('counter', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('error', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('feed', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('licence', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('m', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('newsletter', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('pages', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('posts', '1.1', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('redirect', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('search', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('shoutbox', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('simple-links', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('sitemap', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('voting', '1.0', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_newsletter'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_newsletter`;");
$d->query("CREATE TABLE `parsnuke_newsletter` (
  `mail` varchar(300) NOT NULL,
  PRIMARY KEY  (`mail`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_options'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_options`;");
$d->query("CREATE TABLE `parsnuke_options` (
  `option_name` varchar(100) NOT NULL,
  `option_value` longtext NOT NULL,
  `autoload` int(1) NOT NULL default '1',
  PRIMARY KEY  (`option_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_options'
#

$d->query("INSERT INTO `parsnuke_options` VALUES('title', 'پارس نیوک', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('language', 'persian', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('offline', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('offline-message', '<p>سایت به منظور به روزرسانی تا اطلاع ثانوی غیرفعال می باشد، لطفا بعدا مراجعه فرمایید.</p><p>مدیر سایت</p>', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('meta-desc', 'یک سایت دیگر با پارس نیوک ایرانی', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('meta-keys', 'رایگان,پارس,نیوک,پارس نیوک,ایرانی,مدیریت محتوا,PHP,جدید,ساده,قدرتمند,سئو,حرفه ای', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('rewrite', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('default-module', 'posts', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('theme', 'default', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('slogan', 'یک سایت دیگر با پارس نیوک ایرانی ....', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('account', 'a:9:{s:8:\"register\";i:1;s:7:\"members\";i:1;s:13:\"members-total\";s:2:\"20\";s:6:\"avatar\";i:1;s:10:\"avatarsize\";s:2:\"50\";s:11:\"minUsername\";i:3;s:11:\"minPassword\";s:1:\"6\";s:5:\"email\";i:1;s:13:\"maxavatardims\";s:7:\"150x150\";}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('licence', '', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('replace-link', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('last-banned', '1343745388', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('admin', 'admin', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('posts', 'a:5:{s:11:\"total-posts\";i:5;s:14:\"total-category\";i:5;s:9:\"total-tag\";i:5;s:12:\"total-author\";i:5;s:6:\"fields\";s:0:\"\";}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('comments', 'a:5:{s:5:\"limit\";i:300;s:10:\"post-guest\";i:1;s:6:\"editor\";i:1;s:5:\"email\";i:1;s:7:\"approve\";i:1;}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('mail', 'info@parsnuke.com', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('feed-limit', '10', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('http-referer', '1', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('separator-rewrite', '/', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('file-rewrite', '.html', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('version', '2.0', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_pages'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_pages`;");
$d->query("CREATE TABLE `parsnuke_pages` (
  `page_id` int(11) NOT NULL auto_increment,
  `page_title` varchar(300) NOT NULL,
  `page_slug` varchar(400) NOT NULL,
  `page_time` int(20) NOT NULL default '0',
  `page_author` varchar(300) NOT NULL,
  `page_text` longtext NOT NULL,
  `page_theme` varchar(200) NOT NULL,
  `page_view` int(1) NOT NULL default '1',
  `page_approve` int(1) NOT NULL default '0',
  PRIMARY KEY  (`page_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_pages'
#

$d->query("INSERT INTO `parsnuke_pages` VALUES('1', 'ملک الشعرا بهار', '%D9%85%D9%84%DA%A9-%D8%A7%D9%84%D8%B4%D8%B9%D8%B1%D8%A7-%D8%A8%D9%87%D8%A7%D8%B1-%D8%B2%D9%86%D8%AF%DA%AF%DB%8C%D9%86%D8%A7%D9%85%D9%87', '1343740033', 'admin', '<p style=\"text-align: center;\">
	<img alt=\"\" src=\"uploads/posts/bahar.jpg\" /></p>
<p>
	&nbsp;</p>
<p>
	ملک الشعرا .بهار فرزند ميرزا محمدكاظم صبوري، ملك الشعراي آستان قدس رضوي، به تاريخ هجدهم آذرماه سال يكهزار و دويست و شصت و پنج در مشهد متولد شد. تحصيلات خود را چهار سال بعد از تولد به صورت متداول روز در مكتب خانه آغاز كرد.</p>
<p>
	در سال ۱۲۷۲ با شاهنامه از طريق پدر خود آشنا شد و در همين سال اولين شعر خود را در بحر شاهنامه سرود و از پدر خود جايزه دريافت كرد. از سال ۱۲۷۳ تا ۱۲۷۸ تحصيلاتش را در مدرسه ادامه داد. او علاوه بر مدرسه در محفل پدرش نيز مي آموخت. در سال ۱۲۸۰ پدر كه هميشه مربي و مشوق او است به ناگهان تغيير عقيده داده او را از شاعري منع و به كاسبي تشويق كرد كه به نظر مي آيد به دليل وضعيت نامطلوبي كه شاعران به خصوص در آن دوره داشته اند پدر از آينده فرزند خود مي ترسيد و به همين دليل او را از سرودن شعر منع مي كرد.</p>
<p>
	اما با وجود اين او دنباله كار شعر را رها نكرد. در سال ۱۲۸۳ پدر به ناگهان فوت شد و مسئوليت سرپرستي خانواده به روش بهار افتاد ولي او تحصيلات ادبي خود را با وجود تمام مشكلاتي كه داشت ادامه داد و خود را به عنوان شاعر تراز اول در محافل ادبي خراسان تثبيت كرد و در همين سال لقب پدرش- ملك الشعرايي آستان قدس- را از مظفرالدين شاه دريافت كرد.</p>
<div>
	در سال ۱۳۲۹ مجدداً بيماري سل و اوره در او بروز كرد. در اين سال دولت پاكستان از او دعوت رسمي به عمل آورده بود كه او به علت بيماري اين دعوت را رد كرد.</div>
<div>
	همچنين به رياست او در تهران &laquo;جمعيت ايراني هواداران صلح&raquo; تشكيل شد و با وزارت فرهنگ نيز قراردادي براي تأليف كتاب &laquo;سبك شناسي شعر فارسي&raquo; بست كه به علت بيماري ناتمام ماند. در يكم اسفند ماه همين سال پيام به دانشجويان و در ۲۹ اسفند پيامي به جوانان ايراني داد.</div>
<div>
	در اواخر اين سال قصيده &laquo;جغد جنگ&raquo; آخرين قصيده زندگي خود را در ستايش صلح سرود. سرانجام در اول ارديبهشت ماه سال ۱۳۳۰ ساعت ۸ صبح در خانه مسكوني خود به زندگي سراسر كوشش و رنج خود پايان داد.</div>
<div>
	در ساعت ۴ بعدازظهر روز دوم ارديبهشت جنازه او از مسجد سپهسالار تا گورستان ظهير الدوله در شميران تشييع شد و در همانجا به خاك سپرده شد.</div>
<div>
	در ۱۳ اسفند ماه ۱۳۳۱ پس از مرگ او قصيده &laquo;جغد جنگ&raquo; براي اولين بار در روزنامه &laquo;مصلحت&raquo; چاپ شد و در سال ۱۳۳۵ نيز نخستين چاپ ديوان اشعار او به كوشش برادرش دكتر محمد ملك زاده صورت پذيرفت.</div>', '', '1', '1');");
$d->query("INSERT INTO `parsnuke_pages` VALUES('2', 'مصلح الدین سعدی شیرازی', '%D9%85%D8%B5%D9%84%D8%AD-%D8%A7%D9%84%D8%AF%DB%8C%D9%86-%D8%B3%D8%B9%D8%AF%DB%8C-%D8%B4%DB%8C%D8%B1%D8%A7%D8%B2%DB%8C-%D8%B2%D9%86%D8%AF%DA%AF%DB%8C%D9%86%D8%A7%D9%85%D9%87', '1343740555', 'admin', '<p style=\"text-align: center;\">
	<img alt=\"\" src=\"uploads/posts/saadi.jpg\" /></p>
<p>
	&nbsp;</p>
<p>
	درباره نام و نام پدر شاعر و هم چنين تاريخ تولد سعدي اختلاف بسيار است. سال تولد او را از 571 تا 606 هجري قمري احتمال داده اند و تاريخ درگذشتش را هم سالهاي 690 تا 695 نوشته اند. سعدي در شيراز پاي به هستي نهاد و هنوز کودکي بيش نبود که پدرش در گذشت. آنچه مسلم است اغلب افراد خانواده وي اهل علم و دين و دانش بودند. سعدي خود در اين مورد مي گويد:</p>
<p>
	همه قبيله ي من، عالمان دين بودند ------- مرا معلم عشق تو،</p>
<p>
	شاعري آموخت سعدي پس از تحصيل مقدمات علوم از شيراز به بغداد رفت و در مدرسه نظاميه به تکميل دانش خود پرداخت.</p>
<p>
	او در نظاميه بغداد که مهمترين مرکز علم و دانش آن زمان به حاسب مي آيد در درس استادان معروفي چون سهروردي شرکت کرد. سعدي پس از اين دوره به حجاز، شام و سوريه رفت و در آخر راهي سفر حج شد.</p>
<p>
	او در شهرهاي شام (سوريه امروزي) به سخنراني هم مي پرداخت ولي در همين حال، بر اثر اين سفرها به تجربه و دانش خود نيز مي افزود. سعدي در روزگار سلطنت &quot;اتابک ابوبکر بن سعد&quot; به شيراز بازگشت و در همين ايام دو اثر جاودان بوستان و گلستان را آفريد و به نام &laquo;اتابک&raquo; و پسرش سعد بن ابوبکر کرد. برخي معتقدند که او لقب سعدي را نيز از همين نام &quot;سعد بن ابوبکر&quot; گرفته است. &nbsp;پس از از بين رفتن حکومت سلغريان، سعدي بار ديگر از شيراز خارج شد و به بغداد و حجاز رفت.</p>
<p>
	در بازگشت به شيراز، با آن که مورد احترام و تکريم بزرگان فارس بود، بنابر مشهور به خلوت پناه برد و مشغول رياضت شد. سعدي، شاعر جهانديده، جهانگرد و سالک سرزمينهاي دور و غريب بود؛ او خود را با تاجران ادويه و کالا و زئران اماکن مقدس همراه مي کرد. از پادشاهان حکايتها شنيده و روزگار را با آنان به مدارا مي گذراند. سفاکي و سخاوتشان را نيک مي شناخت و گاه عطايشان را به لقايشان مي بخشيد.</p>
<p>
	با عاشقان و پهلوانات و مدعيان و شيوخ و صوفيان و رندان به جبر و اختيار همنشين مي شد و خامي روزگار جواني را به تجربه سفرهاي مکرر به پختگي دوران پيري پيوند مي زد. سفرهاي سعدي تنها جستجوي تنوع، طلب دانش و آگاهي از رسوم و فرهنگهاي مختلف نبود؛ بلکه هر سفر تجربه اي معنوي نيز به شمار مي آمد. سنت تصوف اسلامي همواره مبتني بر سير و سلوک عارف در جهان آفاق و انفس بود و سالک، مسافري است که بايد در هر دو وادي، سيري داشته باشد؛ يعني سفري در درون و سفري در بيرون.</p>
<p>
	وارد شدن سعدي به حلقه شيخ شهاب الدين سهروردي خود گواه اين موضوع است. ره آورد اين سفرها براي شاعر، علاوه بر تجارب معنوي و دنيوي، انبوهي از روايت، قصه ها و مشاهدات بود که ريشه در واقعيت زندگي داشت؛ چنان که هر حکايت گلستان، پنجره اي رو به زندگي مي گشايد و گويي هر عبارتش از پس هزاران تجربه و آزمايش به شيوه اي يقيني بيان مي شود. گويي، هر حکايت پيش از آن که وابسته به دنياي تخيل و نظر باشد، حاصل دنياي تجارب عملي است. شايد يکي از مهم ترين عوامل دلنشيني پندها و اندرزهاي سعدي در ميان عوام و خواص، وجه عيني بودن آنهاست.</p>
<p>
	اگرچه لحن کلام و نحوه بيان هنرمندانه آنها نيز سهمي عمده در ماندگاري اين نوع از آثارش دارد.</p>
<p>
	از سويي، بنا بر روايت خود سعدي، خلق آثار جاوداني همچون گلستان و بوستان در چند ماه، بيانگر اين نکته است که اين شاعر بزرگ از چه گنجينه ي دانايي، توانايي، تجارب اجتماعي و عرفاني و ادبي برخوردار بوده است. آثار سعدي علاوه بر آن که عصاره و چکيده انديشه ها و تأملات عرفاني و اجتماعي و تربيتي وي است، آيينه خصايل و خلق و خوي و منش ملتي کهنسال است و از همين رو هيچ وقت شکوه و درخشش خود را از دست نخواهد داد.</p>
<p>
	ويژگي هاي آثار سعدي &nbsp;آنچه که بيش از هر ويژگي ديگر آثار سعدي شهرت يافته است، &quot;سهل و ممتنع&quot; بودن است.</p>
<p>
	اين صفت به اين معني است که اشعار و متون آثار سعدي در نظر اول &quot;سهل&quot; و ساده به نظر مي رسند و کلمات سخت و نارسا ندارد. در طول قرن هاي مختلف، همه ي خوانندگان به راحتي با اين آثار ارتباط برقرار کرده اند. اما آثار سعدي از جنبه ي ديگري، &quot;ممتنع&quot; هستند و کلمه ي &quot;ممتنع&quot; در اينجا يعني دشوار و غيرقابل دسترس.</p>
<p>
	وقتي گفته مي شود شعر سعدي &quot;سهل و ممتنع&quot; است يعني در نگاه اول، هر کسي آثار او را به راحتي مي فهمد ولي وقتي مي خواهد چون او سخن بگويد مي فهمد که اين کار سخت و دشوار و هدفي دست نيافتني است.</p>
<p>
	بعضي ديگر از ويژگي هاي آثار سعدي عبارتند از: نکات دستوري نکات دستوري در آثار سعدي به صحيح ترين شکل ممکن رعايت شده است. عنصر وزن و موسيقي، منجر به از بين رفتن يا پيش و پس شدن ساختار دستوري در جملات نمي شود و سعدي به ظريف ترين و طبيعي ترين حالت ممکن در لحن و زبان، با وجود تنگناي وزن، از عهده اين کار برمي آيد. اي که گفتي هيچ مشکل چون فراق يار نيست گر اميد وصل باشد، همچنان دشوار نيست نوک مژگانم به سرخي بر بياض روي زرد قصه دل مي نويسد حاجت گفتار نيست &nbsp;در آن نفس که بميرم در آرزوي تو باشم بدان اميد دهم جان که خاک کوي تو باشم به وقت صبح قيامت، که سر زخاک برآرم به گفتگوي تو خيزم، به جستجوي تو باشم حديث روضه نگويم، گل بهشت نبويم جمال حور نجويم، دوان به سوي تو باشم ايجاز ايجاز يعني خلاصه گويي و يا پيراستن شعر از کلمات زايد و اضافي. دوري از عبارت پردازي هاي بيهوده اي که نه تنها نقش خاصي در ساختار کلي شعر بلکه از زيبايي کلام نيز مي کاهند، در شعر و کلام سعدي نقش ويژه اي دارد.</p>
<p>
	از سويي اين ايجاز که در نهايت زيبايي است، منجر به اغراق هاي ظريف تخيلي و تغزلي مي شود و زبان شعر را از غنايي بيشتر برخوردار مي کند. در شعر سعدي هيچ کلمه اي بدون دليل اضافه يا کم نمي شود. گفتم آهن دلي کنم چندي ندهم دل به هيچ دلبندي به دلت کز دلم به در نکنم سخت تر زين مخواه سوگندي ريش فرهاد بهترک مي بود گر نه شيرين نمک پراکندي کاشکي خاک بودمي در راه تا مگر سايه بر من افکندي ... ايجاز سعدي، ايجاز ميان تهي و سبک نيست، بلکه پراز انديشه و درد است.</p>
<p>
	در دو حکايت زير از &quot;گلستان&quot; به خوبي مشاهده مي شود که سعدي چه اندازه از معني را در چه مقدار از سخن مي گنجاند: حکايت: پادشاهي پارسايي را ديد، گفت: &laquo;هيچت از ما ياد آيد؟&raquo; گفت: &laquo;بلي، وقتي که خدا را فراموش مي کنم.&raquo; حکايت: يکي از ملوک بي انصاف، پارسايي را پرسيد: &laquo;از عبادتها کدام فاضلتر است؟&raquo; گفت: &laquo;تو را خواب نيمروز، تا در آن يک نفس خلق را نيازاري.&raquo; موسيقي سعدي از موسيقي و عوامل موسيقي ساز در سبک و زبان اشعارش سود مي جويد. وي اغلب از اوزان عروضي استفاده ميکند.</p>
<p>
	علاوه بر اوزان عروضي، شاعر به شيوه مؤثري از عواملي بهره مي برد که هر کدام به نوعي موسيقي کلام او را افزايش مي دهند؛ عواملي همچون انواع جناس، هم حروفيهاي آشکار و پنهان، واج آرايي، تکرار کلمات، تکيه هاي مناسب، موازنه هاي هماهنگ لفظي در ادبيات و لف و نشرهاي مرتب و ... استفاده از اين عناصر به گونه اي هنرمندانه و زيرکانه صورت مي گيرد که شنونده يا خواننده شعر او پيش از آن که متوجه صنايع به کار رفته در شعر او شود، جذب زيبايي و هماهنگي و لطافت آنها مي شود. در غزل زير سعدي نهايت استفاده را از عوامل موسيقي زاي زبان برده است، بي آن که سخنش رنگ تکلف و تصنع به خود بگيرد.</p>
<p>
	تکرارهاي هنرمندانه ي کلمات، هم حروفي ها و وزن مناسب شعر و همچنين لحن عاطفي و تعزلي کلام سعدي را چون شربتي شيرين و گوارا به جان خواننده مي ريزد: بگذار تا مقابل روي تو بگذريم دزديده در شمايل خوب تو بنگريم شوق است در جدايي و جور است در نظر هم جور به که طاقت شوقت نياوريم روي ار به روي ما نکني حکم از آن تست باز آ که روي در قدمانت بگستريم ما را سري است با تو که گر خلق روزگار دشمن شوند و سر برود، هم بر آن سريم گفتي زخاک بيشتر نه که از خاک کمتريم ما با توايم و با تو نه ايم اينت بوالعجب در حلقه ايم با تو و چون حلقه بر دريم از دشمنان برند شکايت به دوستان چون دوست دشمن است شکايت کجا بريم؟ طنز و ظرافت طنز و ظرافت جايگاه ويژه اي در ساختار سبکي آثار سعدي دارد.</p>
<p>
	البته خاستگاه اين طنز به نوع نگاه و تفکر اين شاعر بزرگ بر مي گردد. طنز سعدي، سرشار از روح حيات و سرزندگي است. سعدي به ياري لحن طنز، خشکي را از کلام خود مي گيرد و شور و حرکت را بدان باز مي گرداند.</p>
<p>
	با همين طنز، تيغ کلامش را تيز و برنده و اثرگذار مي کند. طنز، نيش همراه با نوش است؛ زخمي در کنار مرهم. سالها بعد، لسان الغيب، حافظ شيرازي ابعاد عميق ديگري به طنز شاعرانه بخشيد و از آن در شعر خود استفاده ها برد.</p>', '', '1', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_posts'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_posts`;");
$d->query("CREATE TABLE `parsnuke_posts` (
  `post_id` int(255) NOT NULL auto_increment,
  `post_author` varchar(255) NOT NULL default '',
  `post_date` int(15) NOT NULL,
  `post_title` varchar(255) NOT NULL default '',
  `post_name` varchar(300) NOT NULL,
  `post_text` text NOT NULL,
  `post_more` longtext NOT NULL,
  `post_hits` int(255) NOT NULL default '0',
  `post_view` int(1) NOT NULL default '1',
  `post_categories` varchar(500) NOT NULL,
  `post_tags` varchar(500) NOT NULL,
  `post_comment` int(1) NOT NULL default '1',
  `post_comment_count` int(5) NOT NULL default '0',
  `post_image` varchar(200) NOT NULL,
  `post_language` varchar(100) NOT NULL default 'persian',
  `post_fixed` tinyint(1) NOT NULL default '0',
  `post_approve` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_posts'
#

$d->query("INSERT INTO `parsnuke_posts` VALUES('1', 'admin', '1342981944', 'نگارش 2.0 پارس نیوک ایرانی', '%D8%A7%D9%88%D9%84%DB%8C%D9%86-%D9%BE%D8%B3%D8%AA-%D9%86%DA%AF%D8%A7%D8%B1%D8%B4-%D8%AC%D8%AF%DB%8C%D8%AF-%D9%BE%D8%A7%D8%B1%D8%B3-%D9%86%DB%8C%D9%88%DA%A9-%D8%A7%DB%8C%D8%B1%D8%A7%D9%86%DB%8C', '<p style=\"text-align: center;\">
	<img alt=\"\" src=\"uploads/posts/demo.jpg\" /></p>
<p style=\"text-align: center;\">
	&nbsp;</p>
<p>
	برای انتخاب <strong>پارس نیوک ایرانی</strong> از شما سپاس گذاریم، این سیستم 100% ایرانی است و از هسته هیچ سیستم دیگری مانند نیوک و یا ... استفاده نمی کند.</p>
<p>
	در لیست زیر می توانید برخی از امکانات پارس نیوک را مشاهده کنید:</p>
<p>
	&nbsp;</p>
<p>
	&bull; مدیریت پست ها به صورت حرفه ای</p>
<p>
	&bull; امکان ساخت فیلدهای اضافه برای پست ها</p>
<p>
	&bull; امکان دانلود پست ها با فرمت PDF</p>
<p>
	&bull; امکان نمایش مطالب به گروه خاصی از کاربران</p>
<p>
	&bull; امکان ایجاد پست ثابت</p>
<p>
	&bull; سامانه کاربری قدرتمند برای جذب کاربر</p>
<p>
	&bull; امکان ساخت بی نهایت گروه کاربری</p>
<p>
	&bull; امکان ارسال پیام خصوصی بین کاربران</p>
<p>
	&bull; دارای خبرنامه حرفه ای و ایجکس</p>
<p>
	&bull; امکان ارسال خبرنامه اختصاصی برای اعضا سایت</p>
<p>
	&bull; دارای جعبه پیام کوتاه به صورت ایجکس</p>
<p>
	&bull; دارای نسخه موبایل برای نمایش ساده مطالب با امکان طراحی قالب برای آن</p>
<p>
	&bull; ماژول پذیر و سادگی طراحی ماژول برای آن</p>
<p>
	&bull; مدیریت تم ها به صورت حرفه ای و با امکان ویرایش آنها از بخش مدیریت</p>
<p>
	&bull; طراحی قالب به صورت کاملا Html و با تگ گذاری های ساده</p>
<p>
	&bull; امکان طراحی قالب برای جزء به جزء بخش های سیستم</p>
<p>
	&bull; آمارگیر حرفه ای با قابلیت نمایش چارتهای آماری در بخش مدیریت</p>
<p>
	&bull; امکان مسدود سازی آی پی کاربران به صورت حرفه ای</p>
<p>
	&bull; امکان پشتیبان گیری از دیتابیس با امکان بازگردانی و دانلود پشتیبان به صورت فایل فشرده</p>
<p>
	&bull; دارای سیستم کشینگ حرفه ای برای افزایش سرعت و بازدهی سیستم</p>
<p>
	&bull; امکان مدیریت فایل های کش از بخش مدیریت</p>
<p>
	&bull; ذخیره سازی اطلاعات کامل سایت های لینک دهنده به صورت نامحدود</p>
<p>
	&bull; دارای بخش مدیریت رسانه ها به صورت حرفه ای و کاملا ایجکس</p>
<p>
	&bull; استفاده از ادیتور محبوب ckeditor</p>
<p>
	&bull; پشتیبانی از rss و atom</p>
<p>
	&bull; امکان ساخت خودکار نقشه برای موتورهای جستجو مانند گوگل و ...</p>
<p>
	&bull; امکان نمایش پرچم کشور کاربران با استفاده ار بانک آی پی GeoIP</p>
<p>
	&bull; هماهنگ سازی شده با انجمن ساز محبوب MyBB</p>
<p>
	&bull; پشتیبانی از BBcode کدها در بخش نظرات و پیام خصوصی</p>
<p>
	&bull; دارای بخش تماس با ما به صورت ایجکس</p>
<p>
	&bull; دارای نظرسنجی حرفه ای و به صورت ایجکس</p>
<p>
	&bull; دارای بخش صفحات مجزا با امکان طراحی قالب اختصاصی برای هر صفحه</p>
<p>
	&bull; دارای بخش جستجو به صورت کاملا حرفه ای و پیشرفته</p>
<p>
	&bull; بخش پیوندها با امکانات زیاد</p>
<p>
	&bull; امکان نمایش خطا ها به صورت حرفه ای و با امکان طراحی قالب برای آن</p>
<p>
	&bull; دارای بخش قوانین برای سایت</p>
<p>
	&bull; امکان غیرفعال سازی سایت به صورت موقت</p>
<p>
	&bull; دارای لینک های سئو با قابلیت شخصی سازی</p>
<p>
	&bull; بیش از <strong>90</strong> درصد بخش مدیریت به صورت کاملا ایحکس</p>
<p>
	&nbsp;</p>
<p>
	اگر در استفاده از پارس نیوک با موشکلی مواجه شدید در انجمن سایت پشتیبانی مطرح کنید تا در حد توان شما را یاری کنیم، ایمان مودی.</p>
<p>
	&nbsp;</p>
<p style=\"text-align: center;\">
	<a href=\"http://parsnuke.com\" target=\"_blank\"><strong>مشاهده سایت رسمی پارس نیوک ایرانی</strong></a></p>
<p style=\"text-align: center;\">
	&nbsp;</p>', '', '0', '1', '2', '4,5,6,7', '1', '0', '', 'persian', '1', '1');");
$d->query("INSERT INTO `parsnuke_posts` VALUES('2', 'admin', '1343133204', 'سئو چیست؟', '%D8%B3%D8%A6%D9%88-%DA%86%DB%8C%D8%B3%D8%AA', '<p style=\"text-align: center;\">
	<img alt=\"\" src=\"uploads/posts/seo.jpg\" /></p>
<p style=\"text-align: center;\">
	&nbsp;</p>
<p align=\"justify\" dir=\"rtl\">
	<span style=\"font-family: Tahoma;\">زمانی که شما در یک موتور جستجو به دنبال یک موضوع خاص می گردید حتما متوجه این موضوع شده اید که برخی از وب سایتها دارای رتبه های بالاتری می باشند و در صفحات اولیه نمایش داده می شوند و این یعنی تولید کردن صفحات وبی که برای موتورهای جستجو جالب و فریبنده هستند. بهینه سازی صفحات وب این است که شما در نتایج یک موتور جستجوی بزرگ بیشترین امتیاز را داشته باشید.</span></p>', '<p dir=\"rtl\">
	اهمیت این موضوع از آنجا ناشی می شود که اکثر مردم از موتورهای جستجو برای رسیدن به مطلب یا محصول مورد نظر خود استفاده می کنند. بهینه سازی وب سایت برای موتورهای جستجوگر معروف شاید بتوان گفت که تقریبا همه افرادی که با وب آشنایی هر چند کمی دارند، حداقل برای یک بار هم که شده واژه SEO را شنیده اند. اما SEO چیست؟ معنای لغوی SEO که مخفف Search Engine Optimization است، بهینه سازی موتور جستجو می باشد. SEO یعنی تولید کردن صفحات وبی که برای موتورهای جستجو جالب و فریبنده هستند. بهینه سازی صفحات وب این است که شما در نتایج یک موتور جستجوی بزرگ بیشترین امتیاز را داشته باشید. اهمیت این موضوع از آنجا ناشی می شود که اکثر مردم از موتورهای جستجو برای رسیدن به مطلب یا محصول مورد نظر خود استفاده می کنند.<br />
	به عنوان مثال در گوگل و یاهو، اکثر مردم فقط به صفحه اول نتایج جستجو نگاه می کنند. بنابراین برای داشتن ترافیک بالا از طرف موتورهای جستجو، این مسأله الزامی است که سایت شما در صفحه اول نتایج جستجو قرار گیرد.<br />
	<br />
	علم بهینه سازی موتور جستجو در مورد روشهای فنی مانند عنوان صفحه مناسب، تگ ها و متا تگ ها، کلمات کلیدی و عبارات کلیدی و توضیحات مناسب سایت و کلاً محتوایی که موتورهای جستجو دوست دارند، مطالعه می کند. موتورهای جستجو صفحات وب را به وسیله نرم افزار خزندگی (عنکبوت) پیدا و فهرست بندی می کنند. متاسفانه تمام نرم افزارهای خزندگی یک جور کار نمی کنند. برای مثال اگر صفحه وب شما در یکی از موتورهای جستجو امتیاز بالایی داشته باشد، ممکن است در دیگر موتورها این چنین نباشد. یکی از کارهایی که متخصصان بهینه سازی موتورهای جستجو انجام می دهند، پیگیری تمام تغییرات عملکرد داخل موتورهای جستجو است. بنابراین آنها میتوانند صفحات وب را بر طبق این تغییرات بهینه سازی کنند.<br />
	<br />
	به علاوه آنها همراه با تغییرات موتورهای جستجوی مختلف خود را تابع این موتورها قرار می دهند. هنگامی که شما یک طراح برای طراحی سایت تجاریتان انتخاب می کنید، شما باید از این طراح درباره بهینه سازی موتورهای جستجو سوال کنید و باید از او بخواهید بر طبق اصول بهینه سازی برای موتورهای جستجو ساخت صفحات وب سایت شما را شروع کند. در صورتی که این کار طولانی تر از طراحی هایی که شما بیش از این داشته اید، نیست. این کار خیلی آسان تر و معقول تر است که شما در همان بار اول که سایتتان بر روی وب قرار می گیرد، شامل بهینه سازی برای موتورهای جستجو شود.</p>
<p dir=\"rtl\">
	<br />
	● چرا SEO مهم است؟!</p>
<p dir=\"rtl\">
	چرا بهینه سازی برای موتورهای جستجو مفید می باشد. موارد ذیل برخی از دلایل این موضوع می باشند: برتر بودن در نتایج جستجو مشتری های زیادی را به دیدار از وب سایت شما دعوت می کند. ۸۷ در صد تمام بینندگان شما از یک صفحه یک وضعیت دارند. ۹۱ در صد از کاربران اینترنت از موتورهای جستجو استفاده می کنند. طبق آخرین تحقیقات بیش از ۲۵۰ میلیون جستجو در روز در کشور انگلیس انجام می گیرد. ۷۳ در صد معاملات آنلاین به وسیله موتورهای جستجو آغاز می شود. ۵.۳ بیلیون از وب سایت با هم بر سر رقابت پول هستند، اما واقعیت این این است که فقط کسرهای از یک درصد به صفحه اول می رسند.</p>
<p dir=\"rtl\">
	<br />
	● چه کسانی به SEO احتیاج دارند؟<br />
	<br />
	هر وب سایتی که به سوی تجارت و بازرگانی حرکت می کند، باید صفحات وب خود را برای موتورهای جستجو بهینه سازی کند. هدف نهایی یک وب سایت جلب کاربران اینترنتی می باشد، و مطالعات نشان داده است که پهنه عظیمی از کابران اینترنتی وب سایت ها را در موتورهای جستجوی پیدا کرده اند. اگر شرکت شما نظر به ساخت یک وب سایت جدید و یا به روز کردن وب سایت قدیمی خود را دارد باید توجه داشته باشید که برای پیشرفت باید SEO را در الویت قرار دهید. به خاطر داشته باشید که SEO شما را به مسابقه بزرگ می برد و شما را در بازار معرفی میکند.</p>', '0', '1', '3', '10,11,12', '1', '0', '', 'persian', '0', '1');");
$d->query("INSERT INTO `parsnuke_posts` VALUES('3', 'admin', '1343723604', 'سیستم مدیریت محتوا چیست؟', '%D8%B3%DB%8C%D8%B3%D8%AA%D9%85-%D9%85%D8%AF%DB%8C%D8%B1%DB%8C%D8%AA-%D9%85%D8%AD%D8%AA%D9%88%D8%A7-%DA%86%DB%8C%D8%B3%D8%AA', '<p>
	سیستم مدیریت محتوا ، ترجمه عبارت <strong>content management system</strong>&nbsp; یا <strong>CMS</strong> است ، که به معنای سیستم نرم افزاری ای است که به کمک آن محتوا مدیریت می شود و به نرم افزارهایی گفته می شود که نظام قابل مدیریتی را در ثبت , بروزرسانی و بازیابی محتوا فراهم می آورند . &nbsp;این نرم افزارها الزاما وابسته به وب نیستند و برنامه های کاربردی مدیریت محتوای وب سایت های اینترنتی , صصرفا یک نمونه از این گونه سیستم های مدیریت محتوا&nbsp; می باشد. لکن در کشور ما ایران ، بعلت گسترش این شاخه از نرم افزارهای سیستم مدیریت محتوا , عبارت cms تتنها به نرم افزارهای مدیریت وب سایت اطلاق می شود.</p>', '<p>
	cms یا سیستم مدیریت محتوا چرخه زندگی صفحات وب سایت اینترنتی را از لحظه ایجاد تا زمان انقراض در بر می&zwnj;گیرند و به صاحبان این وب سایت ها , که لزوما آشنای با مباحث تخصصی اینترنت , وب و برنامه نویسی تحت وب نیستند ، اجازه می دهند تا&nbsp;بتوانند سایت های خود را به نحوی حرفه ای مدیریت کنند.</p>
<p>
	سیستم مدیریت محتوا تحولی شگرف در زمینه طراحی و مدیریت&nbsp; وب سایت&zwnj;های اینترنتی به&zwnj;شمار می&zwnj;آید. امروزه توقع بینندگان سایت&zwnj;های وب بسیار بالا رفته و دیگر مرور وب سایت&zwnj;هایی با صفحات ثابت و راکد هیجانی در آنها ایجاد نمی&zwnj;کند. امروز کاربران به&zwnj;&zwnj;دنبال سایت&zwnj;هایی می&zwnj;گردند که بتوانند به نوعی در گوشه&zwnj;ای از آن سهمی داشته باشند و ارائه محتوی، مطالب و اطلاعات جدید در هر بار رجوع کاربران به وب سایت ، می&zwnj;تواند آنها را پایبند سایت نماید.</p>
<p>
	یکی از مشکلاتی که تا امروز به نوعی باعث می&zwnj;شد تا افراد کمتری به فکر داشتن یک وب&zwnj; سایت اینترنتی بیفتند هزینه&zwnj;های بالای طراحی آن بوده ، به عنوان نمونه برای طراحی وب سایتهای اینترنتی ، سابق بر این تعدادی نیروی متخصص طراح وب ، مشغول طراحی آن در چندین ماه و رفع ایراد و پشتیبانی از وب سایت می شدند لذا هزینه طراحی و پشتیبانی وب سایت بالا بود ، ولی امروزه با در دسترس بودن سیستم های مدیریت محتوا دیگر چنین مشکلی وجود ندارد.</p>
<p dir=\"rtl\">
	در سال 1995 تعداد کاربران اینترنتی تنها 13 میلیون نفر در سراسر جهان را شامل می شد ، این در حالی است که این رقم در سال 2005 یعنی فقط ده سال بعد به 1 میلیلارد نفر رسید . این رشد انفجاری موجب شد تا کاربران زیادی به لزوم استفاده از اینترنت و وب پی برده و در فاصله این سالها ، تعداد صفحات وب بر روی شبکه جهانی وب , به 60 میلیارد صفحه رسید . این نیاز روز افزون , ششرکتهای طراح وب را بر آن داشت تا با طراحی و پیاده سازی نرم افزارهای جامع همه منظوره که منطبق بر نیاز اغلب مشتریان باشد و به صورت قالبی منعطف بتوان بیشتر وب سایتهای اینترنتی را با آنها راه اندازی کرد . اینگونه نرم افزارها را بعدها نرم افزارهای مدیریت محتوا یا سیستم مدیریت محتوا (cms) نامیدند .</p>
<p dir=\"rtl\">
	اما ایراد نرم افزارهای مدیریت محتوا این بود که یک تعامل یک سویه با مخاطبان برقرار می نمودند و فقط در راستای ارائه محتوی و اطلاع رسانی به ایشان ، طراحی و پیاده سازی شده بودند . این در حالی بود که بازدیدکنندگان وب ، به دنبال سایتهایی بودند که به نوعی در گوشه ای از آن سهمی داشته باشند . با توجه به این موضوع ، نرم افزارهای مدیریت محتوای تحت وب ، با قابلیت های برقراری ارتباط دو سویه با کاربران ، پا به عرصه وجود گذاشتند و با ارائه سرویسهای دو سویه ، مخاطبان سایت را در بروزرسانی محتوای سایت سهیم کردند.</p>', '0', '1', '3', '8,9,6', '1', '0', '', 'persian', '0', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_private_messages'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_private_messages`;");
$d->query("CREATE TABLE `parsnuke_private_messages` (
  `msg_id` int(255) NOT NULL auto_increment,
  `msg_sender` varchar(100) NOT NULL,
  `msg_receiver` varchar(100) NOT NULL,
  `msg_subject` varchar(200) NOT NULL,
  `msg_text` text NOT NULL,
  `msg_date` int(20) NOT NULL,
  `msg_read` int(1) NOT NULL default '0',
  PRIMARY KEY  (`msg_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_referer'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_referer`;");
$d->query("CREATE TABLE `parsnuke_referer` (
  `ref_id` int(11) NOT NULL auto_increment,
  `ref_url` varchar(100) NOT NULL default '',
  `ref_domain` varchar(300) NOT NULL,
  `ref_time` varchar(30) NOT NULL,
  `ref_ip` varchar(200) NOT NULL,
  PRIMARY KEY  (`ref_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_search'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_search`;");
$d->query("CREATE TABLE `parsnuke_search` (
  `search_id` int(11) NOT NULL auto_increment,
  `search_key` varchar(32) default NULL,
  `search_title` varchar(150) default NULL,
  `search_author` varchar(50) default NULL,
  `search_content` text,
  `search_date` int(20) NOT NULL,
  `search_module` varchar(25) default NULL,
  `search_url` varchar(500) default NULL,
  `search_time` int(20) default NULL,
  `search_keywords` varchar(255) default NULL,
  PRIMARY KEY  (`search_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_session'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_session`;");
$d->query("CREATE TABLE `parsnuke_session` (
  `session_member` varchar(30) NOT NULL default '',
  `session_time` varchar(14) NOT NULL default '',
  `session_ip` varchar(48) NOT NULL default '',
  `session_page` varchar(500) NOT NULL,
  `session_guest` int(1) NOT NULL default '0',
  KEY `time` (`session_time`),
  KEY `guest` (`session_guest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_shoutbox'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_shoutbox`;");
$d->query("CREATE TABLE `parsnuke_shoutbox` (
  `shout_id` int(255) NOT NULL auto_increment,
  `shout_time` int(20) NOT NULL,
  `shout_member` varchar(255) NOT NULL,
  `shout_message` varchar(400) NOT NULL,
  PRIMARY KEY  (`shout_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_shoutbox'
#

$d->query("INSERT INTO `parsnuke_shoutbox` VALUES('1', '1343401395', 'admin', 'گروه پارس نیوک افتتاح سایت شما را تبریک می گوید!');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_simple_links'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_simple_links`;");
$d->query("CREATE TABLE `parsnuke_simple_links` (
  `link_id` int(255) NOT NULL auto_increment,
  `link_title` varchar(100) NOT NULL,
  `link_description` varchar(400) NOT NULL,
  `link_href` varchar(600) NOT NULL,
  `link_target` varchar(10) NOT NULL,
  `link_direct_link` int(1) NOT NULL default '1',
  `link_color` varchar(100) NOT NULL default '',
  `link_bold` int(1) NOT NULL default '0',
  `link_strikethrough` int(1) NOT NULL default '0',
  `link_active` int(1) NOT NULL default '1',
  `link_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_simple_links'
#

$d->query("INSERT INTO `parsnuke_simple_links` VALUES('1', 'پارس نيوك', 'سيستم مديريت محتواي پارس نيوك', 'http://parsnuke.com', '_blank', '1', 'red', '1', '0', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_simple_links` VALUES('2', 'ايران', '', 'http://iran.ir', '_blank', '1', '', '0', '0', '1', 'persian');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_terms'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_terms`;");
$d->query("CREATE TABLE `parsnuke_terms` (
  `term_id` bigint(20) unsigned NOT NULL auto_increment,
  `term_type` varchar(15) NOT NULL default 'p-tag',
  `term_name` varchar(200) NOT NULL default '',
  `term_description` varchar(300) NOT NULL,
  `term_slug` varchar(200) NOT NULL default '',
  `term_parent` int(255) NOT NULL default '0',
  PRIMARY KEY  (`term_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_terms'
#

$d->query("INSERT INTO `parsnuke_terms` VALUES('1', 'p-cat', 'عمومی', '', 'general', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('2', 'p-cat', 'اخبار', '', 'news', '1');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('3', 'p-cat', 'وب', '', 'web', '1');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('4', 'p-tag', 'ایران', '', '%D8%A7%DB%8C%D8%B1%D8%A7%D9%86', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('5', 'p-tag', 'pars nuke', '', 'pars-nuke', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('6', 'p-tag', 'پارس نیوک', '', '%D9%BE%D8%A7%D8%B1%D8%B3-%D9%86%DB%8C%D9%88%DA%A9', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('7', 'p-tag', 'مدیرت محتوا', '', '%D9%85%D8%AF%DB%8C%D8%B1%D8%AA-%D9%85%D8%AD%D8%AA%D9%88%D8%A7', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('8', 'p-tag', 'سیستم مدیریت', '', '%D8%B3%DB%8C%D8%B3%D8%AA%D9%85-%D9%85%D8%AF%DB%8C%D8%B1%DB%8C%D8%AA', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('9', 'p-tag', 'cms', '', 'cms', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('10', 'p-tag', 'سئو', '', '%D8%B3%D8%A6%D9%88', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('11', 'p-tag', 'seo', '', 'seo', '0');");
$d->query("INSERT INTO `parsnuke_terms` VALUES('12', 'p-tag', 'وب', '', '%D9%88%D8%A8', '0');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_voting'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_voting`;");
$d->query("CREATE TABLE `parsnuke_voting` (
  `vote_id` int(11) NOT NULL auto_increment,
  `vote_title` varchar(255) NOT NULL default '',
  `vote_case` text NOT NULL,
  `vote_ip` text,
  `vote_members` text,
  `vote_date` varchar(20) NOT NULL,
  `vote_result` text,
  `vote_button` varchar(200) NOT NULL default 'Submit',
  `vote_status` int(1) NOT NULL default '0',
  `vote_language` varchar(25) default NULL,
  PRIMARY KEY  (`vote_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_voting'
#

$d->query("INSERT INTO `parsnuke_voting` VALUES('1', 'نگارش۲ پارس نیوک از نظر شما؟', 'بسیارعالی|عالی|خوب|امیدوار کننده|بد نیست|خوب نیست|نظری ندارم!', '', '', '1342362396', '0,0,0,0,0,0,0', 'ثبت رای', '1', '');");

?>