function install_load(action)
{
	parsnuke.ajax({
		method: 'GET',
		action: 'install.php?action='+action,
		id: 'main'
	});
}

function install_check(action)
{
	switch(action)
	{
		case 'database':
			parsnuke.ajax({
				method: 'POST',
				action: 'install.php?action=db-check',
				data: parsnuke.serialize('form-database'),
				json: 'yes',
				success: function(a)
				{
					if(a.result == 'connect')
					{
						if(parsnuke.$('input-host').value != 'localhost')
						{
							parsnuke.$('input-host').style.border = '#FF0000 1px solid';
						}
						parsnuke.$('input-user').style.border = '#FF0000 1px solid';
						parsnuke.$('input-password').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#CCCCCC 1px solid';
					}
					else if(a.result == 'select')
					{
						parsnuke.$('input-host').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-user').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-password').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
					}
					else if(a.result == 'success')
					{
						parsnuke.$('input-host').style.border = 'green 1px solid';
						parsnuke.$('input-user').style.border = 'green 1px solid';
						parsnuke.$('input-password').style.border = 'green 1px solid';
						parsnuke.$('input-name').style.border = 'green 1px solid';
						parsnuke.$('button-disabled').disabled = '';
					}
					else
					{
						if(parsnuke.$('input-host').value != 'localhost')
						{
							parsnuke.$('input-host').style.border = '#FF0000 1px solid';
						}
						parsnuke.$('input-user').style.border = '#FF0000 1px solid';
						parsnuke.$('input-password').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
						alert('یک خطای ناشناخته در ارتباط رخ داده است!')
					}
				}
			});
		break;
		
		case 'admin':
			parsnuke.ajax({
				method: 'POST',
				action: 'install.php?action=admin-check',
				data: parsnuke.serialize('form-admin'),
				json: 'yes',
				success: function(a)
				{
					if(a.result == 'name')
					{
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
						parsnuke.$('input-pass1').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-pass2').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-email').style.border = '#CCCCCC 1px solid';
					}
					else if(a.result == 'pass')
					{
						parsnuke.$('input-pass1').style.border = '#FF0000 1px solid';
						parsnuke.$('input-pass2').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-email').style.border = '#CCCCCC 1px solid';
					}
					else if(a.result == 'email')
					{
						parsnuke.$('input-pass1').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-pass2').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-name').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-email').style.border = '#FF0000 1px solid';
					}
					else if(a.result == 'success')
					{
						parsnuke.$('input-pass1').style.border = 'green 1px solid';
						parsnuke.$('input-pass2').style.border = 'green 1px solid';
						parsnuke.$('input-name').style.border = 'green 1px solid'
						parsnuke.$('input-email').style.border = 'green 1px solid'
						parsnuke.$('button-disabled').disabled = '';
					}
					else
					{
						parsnuke.$('input-pass1').style.border = '#FF0000 1px solid';
						parsnuke.$('input-pass2').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
						parsnuke.$('input-email').style.border = '#FF0000 1px solid';
						alert('یک خطای ناشناخته رخ داده است!')
					}
				}
			});
		break;
	}
}

function install_config()
{
	if(parsnuke.$('button-disabled').disabled != 'disabled')
	{
		parsnuke.ajax({
			method: 'POST',
			action: 'install.php?action=config',
			data: parsnuke.serialize('form-database'),
			id: 'main',
		});
	}
	else
	{
		alert('ابتدا صحت اطلاعات وارد شده را چک کنید!')
	}
}

function install_admin()
{
	if(parsnuke.$('button-disabled').disabled != 'disabled')
	{
		parsnuke.ajax({
			method: 'POST',
			action: 'install.php?action=admin-insert',
			data: parsnuke.serialize('form-admin'),
			id: 'main',
		});
	}
	else
	{
		alert('ابتدا صحت اطلاعات وارد شده را چک کنید!')
	}
}

function upgrade_load(action)
{
	parsnuke.ajax({
		method: 'GET',
		action: 'upgrade.php?action='+action,
		id: 'main'
	});
}

function upgrade_check(action)
{
	switch(action)
	{
		case 'database':
			parsnuke.ajax({
				method: 'POST',
				action: 'upgrade.php?action=db-check',
				data: parsnuke.serialize('form-database'),
				json: 'yes',
				success: function(a)
				{
					if(a.result == 'connect')
					{
						if(parsnuke.$('input-host').value != 'localhost')
						{
							parsnuke.$('input-host').style.border = '#FF0000 1px solid';
						}
						parsnuke.$('input-user').style.border = '#FF0000 1px solid';
						parsnuke.$('input-password').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#CCCCCC 1px solid';
					}
					else if(a.result == 'select')
					{
						parsnuke.$('input-host').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-user').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-password').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
					}
					else if(a.result == 'success')
					{
						parsnuke.$('input-host').style.border = 'green 1px solid';
						parsnuke.$('input-user').style.border = 'green 1px solid';
						parsnuke.$('input-password').style.border = 'green 1px solid';
						parsnuke.$('input-name').style.border = 'green 1px solid';
						parsnuke.$('button-disabled').disabled = '';
					}
					else
					{
						if(parsnuke.$('input-host').value != 'localhost')
						{
							parsnuke.$('input-host').style.border = '#FF0000 1px solid';
						}
						parsnuke.$('input-user').style.border = '#FF0000 1px solid';
						parsnuke.$('input-password').style.border = '#FF0000 1px solid';
						parsnuke.$('input-name').style.border = '#FF0000 1px solid';
						alert('یک خطای ناشناخته در ارتباط رخ داده است!')
					}
				}
			});
		break;
		
		case 'admin':
			parsnuke.ajax({
				method: 'POST',
				action: 'upgrade.php?action=admin-check',
				data: parsnuke.serialize('form-admin'),
				json: 'yes',
				success: function(a)
				{
					if(a.result == 'pass')
					{
						parsnuke.$('input-pass1').style.border = '#FF0000 1px solid';
						parsnuke.$('input-pass2').style.border = '#FF0000 1px solid';
						parsnuke.$('input-email').style.border = '#CCCCCC 1px solid';
					}
					else if(a.result == 'email')
					{
						parsnuke.$('input-pass1').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-pass2').style.border = '#CCCCCC 1px solid';
						parsnuke.$('input-email').style.border = '#FF0000 1px solid';
					}
					else if(a.result == 'success')
					{
						parsnuke.$('input-pass1').style.border = 'green 1px solid';
						parsnuke.$('input-pass2').style.border = 'green 1px solid';
						parsnuke.$('input-email').style.border = 'green 1px solid'
						parsnuke.$('button-disabled').disabled = '';
					}
					else
					{
						parsnuke.$('input-pass1').style.border = '#FF0000 1px solid';
						parsnuke.$('input-pass2').style.border = '#FF0000 1px solid';
						parsnuke.$('input-email').style.border = '#FF0000 1px solid';
						alert('یک خطای ناشناخته رخ داده است!')
					}
				}
			});
		break;
	}
}

function upgrade_config()
{
	if(parsnuke.$('button-disabled').disabled != 'disabled')
	{
		parsnuke.ajax({
			method: 'POST',
			action: 'upgrade.php?action=config',
			data: parsnuke.serialize('form-database'),
			id: 'main',
		});
	}
	else
	{
		alert('ابتدا صحت اطلاعات وارد شده را چک کنید!')
	}
}

function upgrade_admin()
{
	if(parsnuke.$('button-disabled').disabled != 'disabled')
	{
		parsnuke.ajax({
			method: 'POST',
			action: 'upgrade.php?action=admin-upgrade',
			data: parsnuke.serialize('form-admin'),
			id: 'main',
		});
	}
	else
	{
		alert('ابتدا صحت اطلاعات وارد شده را چک کنید!')
	}
}
