<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_contact_us_info()
{
	return array(
		'name' => 'contact-us',
		'version' => '1.0',
		'creationDate' => '2012-07-21 18:00:03',
		'description' => 'ماژول تماس با ما برای پارس نیوک.',
		'author' => 'iman moodi',
		'authorEmail' => 'imanmoodi@yahoo.com',
		'authorUrl' => 'http://parsnuke.com',
		'license' => 'GNU/GPL',
	);
}

function module_contact_us_install()
{
	member::check_admin_page_access('modules') or die('Warning access!');
	global $d;
	$d->insert('modules', array(
		'module_name' => 'contact-us',
		'module_version' => '1.0',
		'module_status' => '0',
	));
	echo message('ماژول contact-us با موفقیت نصب شد.', 'success');
}

function module_contact_us_uninstall()
{
	member::check_admin_page_access('modules') or die('Warning access!');
	global $d;
	$d->delete('modules', "module_name='contact-us'", 1);
	echo message('ماژول contact-us با موفقیت حذف شد.', 'success');
}

function module_contact_us_active()
{
	member::check_admin_page_access('modules') or die('Warning access!');
	global $d;
	$d->update('modules', array('module_status'=>2), "module_name='contact-us'", 1);
	echo message('ماژول contact-us فعال شد.', 'success');
}

function module_contact_us_inactive()
{
	member::check_admin_page_access('modules') or die('Warning access!');
	global $d;
	$d->update('modules', array('module_status'=>0), "module_name='contact-us'", 1);
	echo message('ماژول contact-us غیرفعال شد.', 'success');
}

?>