<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_feed_run()
{
	global $options;
	$_GET['b'] = get_param($_GET, 'b', $options['default-module']);
	$_GET['b'] = filter($_GET['b'], 'en-num');
	$_GET['b'] = is_module($_GET['b'])? $_GET['b'] : 'posts';
	$_GET['c'] = get_param($_GET, 'c', 'rss');
	$_GET['c'] = $_GET['c']=='atom'? 'atom' : 'rss';
	$type = $_GET['c']=='atom'? 'AtomGenerator' : 'RSSGenerator';
	
	if(function_exists('module_'.str_replace('-', '_', $_GET['b']).'_feed'))
	{
		try
		{
			require_once(engine_dir.'feedGenerator/lib/FeedGenerator.php');
			$feeds=new FeedGenerator;
			$feeds->setGenerator(new $type);
			$feeds->setAuthor($options['mail']);
			$feeds->setTitle($options['title']);
			$feeds->setChannelLink(url.'?a=feed&amp;b='.$_GET['b'].'&amp;c='.$_GET['c']);
			$feeds->setLink(url);
			$feeds->setDescription($options['slogan']);
			$feeds->setID(url.'?a=feed&amp;b='.$_GET['b'].'&amp;c='.$_GET['c']);
			$feeds->setGeneratorName('Pars Nuke Copyright (c) '.date('Y').' by Iman Moodi (www.parsnuke.com)');

			$func = 'module_'.str_replace('-', '_', $_GET['b']).'_feed';
			$func($feeds);

			$feeds->display();
			unset($feeds, $d, $tpl, $member_admin);
		}
		catch(FeedGeneratorException $e)
		{
			echo 'Error: '.$e->getMessage();
		}
		die;
	}
	else
	{
		module_error_run('404');
	}
}

?>