<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

class html
{
    static function select($name, $options, $selected = null, $extra = null)
	{
        $extra = !empty($extra)? ' '.$extra : null;
        $html = '<select name="'.$name.'" size="1"'.$extra.'>';
        if(is_array($options) && count($options))
        foreach($options as $key => $val) 
		{
            $html .= '<option value="'.$key.'"'.($key==$selected? ' selected="selected"' : null).'>'.$val.'</option>';
        }
        $html .= '</select>';
        return $html;
    }

    static function radio($name, $options, $selected = null, $extra = null)
	{
        $html = null;
        $extra = !empty($extra)? ' '.$extra : null;
        if(is_array($options) && count($options))
        foreach($options as $key => $val) 
		{
            $html .= '<label><input type="radio" name="'.$name.'" value="'.$key.'"'.($key==$selected? ' checked="checked"' : null).$extra.' />'.$val.'</label> ';
        }
        return $html;
    }

    static function checkbox($options, $selected = null, $extra = null)
	{
        $html = null;
        $extra = !empty($extra)? ' '.$extra : null;
        if(is_array($options) && count($options))
        foreach($options as $key => $val) 
		{
            $key = explode('|', $key);
            $name = $key[0];
            $key = $key[1];
            $html .= '<label><input type="checkbox" name="'.$name.'" value="'.$key.'"'.($key==$selected? ' checked="checked"' : null).$extra.' />'.$val.'</label> ';
        }
        return $html;
    }

    static function input($type = 'text', $name, $value = null, $extra = null)
	{
        $extra = !empty($extra)? ' '.$extra : null;
        return '<input name="'.$name.'" type="'.$type.'" value="'.$value.'"'.$extra.' />';
    }

    static function textarea($name, $value = null, $size = null, $extra = null)
	{
        $extra = !empty($extra)? ' '.$extra : null;
        if (!empty($size)) 
		{
            $size = explode('x', $size);
            $size = ' rows="'.$size[1].'" cols="'.$size[0].'"';
        }
        return '<textarea name="'.$name.'"'.$size.$extra.'>'.$value.'</textarea>';
    }
}

?>