<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

class member
{
    static private $memberSave;
    static private $infoSave;
    static private $info;
	
	static function is($type = 'member')
    {
		if(!isset($_COOKIE['account']) || empty($_COOKIE['account']))
			return 0;

		if(isset(self::$memberSave) AND isset(self::$infoSave) AND is_array(self::$infoSave) AND count(self::$infoSave) AND $type == 'info')
			return self::$infoSave;
		elseif(isset(self::$memberSave))
			return self::$memberSave;

		global $d;
		
		$member = base64_decode($_COOKIE['account']);
		$member = $d->escapeString($member);
		$member = explode('::', $member, 2);
		
		if(!isset($member[0]) || !isset($member[1]) || empty($member[0]) || empty($member[1]))
			return 0;

		$member[0] = (int) $member[0];
		$member[1] = filter($member[1], 'safe');

		if(!empty($member[0]) && !empty($member[1]))
		{
			$query = sprintf("SELECT * FROM #__members WHERE member_id='%d' AND member_status='1'", $member[0]);
			$query = $d->query($query);
			$result = $d->fetch($query);
			$loginKey = md5(self::loginKey($result['member_password']));

			if(!empty($result['member_password']) && $loginKey==$member[1] && $loginKey==md5($result['member_key']))
			{
				$d->update('members', array(
					'member_lastip' => get_ip(),
					'member_lastvisit' => time(),
				), "`member_id`='".$result['member_id']."'", 1);
				
				self::$infoSave = $result;
				self::$memberSave = 1;

				if($type == 'info')
					return self::$infoSave;
				else
					return self::$memberSave;
			}
		}
		un_set_cookie('account');
		return self::$memberSave = 0;
    }

	static function check_admin_page_access($right)
	{
		$check = group_admin && in_array($right, explode(',', group_rights))? true : false;

		if (!$check && !group_super_admin)
			return false;
		elseif ($check || (!$check && group_super_admin))
			return true;
	}

	static function avatar($avatar = null)
	{
		global $options;
		$avatar = !empty($avatar) && file_exists(root_dir.$avatar)? $avatar : false;
		
		if(empty($avatar))
		$avatar = file_exists(root_dir.'templates/'.$options['theme'].'/images/no-avatar.png')? 'templates/'.$options['theme'].'/images/no-avatar.png' : 'engine/images/no-avatar.png';
		
		return $avatar;
	}

	static function group_title($member_name, $member_group)
	{
		global $member_groups;
		if(isset($member_groups[$member_group]) && is_array($member_groups[$member_group]) && count($member_groups[$member_group]))
		{
			$member_name = str_replace('{group-name}', $member_groups[$member_group]['group_name'], $member_name);
			$title = str_replace('{name}', $member_name, $member_groups[$member_group]['group_title']);
		}
		else
		{
			$member_name = str_replace('{group-name}', 'ناشناخته!', $member_name);
			$title = $member_name;
		}
		return $title;
	}

	static function group_icon($group)
	{
		global $member_groups, $options;
		if(isset($member_groups[$group]) && is_array($member_groups[$group]) && count($member_groups[$group]))
		{
			$icon = str_replace('{theme}', $options['theme'], $member_groups[$group]['group_icon']);
		}
		else
		{
			$icon = 'engine/images/groups/5.png';
		}
		return $icon;
	}

    static function info($id = false, $username = false)
    {
		global $d;
		$id = intval($id);
		$username = filter($username, 'en-num');

		if($id && isset(self::$info['id'][$id]))
			return self::$info['id'][$id];
		elseif($username && isset(self::$info['name'][$username]))
			return self::$info['name'][$username];

		if($id)
			$where = "`member_id`='".$id."'";
		else
			$where = "`member_name`='".$username."'";

		$q = $d->query("SELECT * FROM `#__members` WHERE $where LIMIT 1");
		if($d->numRows($q) >= 1)
		{
			$u = $d->fetch($q);
			self::$info['id'][$u['member_id']] = $u;
			self::$info['name'][$u['member_name']] = &self::$info['id'][$u['member_id']];
			$d->freeResult($q);
			return $u;
		}else
			return false;
    }

    static function exists($username)
    {
		global $d;
		$username = filter($username, 'en-num');
		if($d->numRows("SELECT `member_id` FROM `#__members` WHERE `member_name`='".$username."'", true) >= 1)
			return true;
		else
			return false;
    }

    static function loginKey($password)
    {
		return sha1($_SERVER['HTTP_USER_AGENT'] . sitekey . $password);
    }
	
    static function password($password)
    {
		global $d;
		$password = str_replace('\\', null, $password);
		return md5('pars-'.sha1($d->escapeString($password)).'-nuke');
    }
}

?>