<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

@session_start();
@ob_start();
@ob_implicit_flush(0);

define('security', true);
define('root_dir', dirname(dirname(__FILE__)).'/');
define('engine_dir', root_dir.'/engine/');
require_once('common.php');
require_once('template/template.php');

if(!file_exists('parsnuke.lock')):
	print_header();
	print_info('نصب یا ارتقاع!', 'در صورتی که قبلا نگارش یک پارس نیوک را نصب کرده اید روی گزینه به روزرسانی کلیک کنید در غیر این صورت بر روی نصب کلیک کنید تا نصب نگارش 2 پارس نیوک آغاز شود.');
	echo '<center>'."\n";
	echo '<button id="install" onClick="parsnuke.location(\'install.php\')">نصب نگارش 2 پارس نيوک</button>'."\n";
	echo '<button id="upgrade" onClick="parsnuke.location(\'upgrade.php\')">بروز رساني از نگارش 1 به 2</button>'."\n";
	echo '</center>'."\n";
	print_footer();
else:
	print_header();
	print_info('خطا', '<font color=red>پارس نيوك قبلا نصب شده است!<br />براي نصب مجدد فايل <b>parsnuke.lock</b> را از پوشه <b>install</b> حذف كنيد.</font>');
	echo '<center><a href="http://parsnuke.com" target="_blank"><b>مشاهده سایت رسمی پارس نیوک ایرانی!</b></a></center>'."\n";
	print_footer();
endif;

?>