<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_admin'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_admin`;");
$d->query("CREATE TABLE `parsnuke_admin` (
  `admin_rights` char(20) NOT NULL default '',
  `admin_image` varchar(300) NOT NULL default '',
  `admin_title` varchar(50) NOT NULL default '',
  `admin_link` varchar(100) NOT NULL default 'reserved',
  `admin_page` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`admin_rights`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_admin'
#

$d->query("INSERT INTO `parsnuke_admin` VALUES('robots', 'engine/images/admin/robots.png', 'روبات ها', '?a={admin-page}&b=robots', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('blocks', 'engine/images/admin/blocks.png', 'بلوک ها', '?a={admin-page}&b=blocks', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('account', 'engine/images/admin/account.png', 'سامانه کاربری', '?a={admin-page}&b=mod&c=account', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('modules', 'engine/images/admin/modules.png', 'ماژول ها', '?a={admin-page}&b=modules', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('groups', 'engine/images/admin/groups.png', 'گروه های کاربری', '?a={admin-page}&b=groups', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('referer', 'engine/images/admin/referer.png', 'لینک دهندگان', '?a={admin-page}&b=referer', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('banned', 'engine/images/admin/banned.png', 'مسدود سازی', '?a={admin-page}&b=banned', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('counter', 'engine/images/admin/counter.png', 'آمارگیر', '?a={admin-page}&b=mod&c=counter', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('voting', 'engine/images/admin/voting.png', 'نظرسنجی', '?a={admin-page}&b=mod&c=voting', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('options', 'engine/images/admin/options.png', 'تنظیمات عمومی', '?a={admin-page}&b=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('account-op', 'engine/images/admin/account-op.png', 'سامانه کاربری', '?a={admin-page}&b=mod&c=account&do=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts', 'engine/images/admin/posts.png', 'پست ها', '?a={admin-page}&b=mod&c=posts', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-categories', 'engine/images/admin/posts-categories.png', 'موضوعات پست ها', '?a={admin-page}&b=mod&c=posts&do=categories', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-options', 'engine/images/admin/posts-options.png', 'تنظیمات پست ها', '?a={admin-page}&b=mod&c=posts&do=options', '3');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('media', 'engine/images/admin/media.png', 'رسانه ها', '?a={admin-page}&b=media', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('pages', 'engine/images/admin/pages.png', 'صفحات اضافی', '?a={admin-page}&b=mod&c=pages', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('posts-comments', 'engine/images/admin/posts-comments.png', 'نظرات پست ها', '?a={admin-page}&b=mod&c=posts&do=comments', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('newsletter', 'engine/images/admin/newsletter.png', 'خبرنامه', '?a={admin-page}&b=mod&c=newsletter', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('cache', 'engine/images/admin/cache.png', 'مدیریت کش', '?a={admin-page}&b=cache', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('phpinfo', 'engine/images/admin/phpinfo.png', 'اطلاعات PHP', '?a={admin-page}&b=phpinfo', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('simple-links', 'engine/images/admin/simple-links.png', 'پیوندها', '?a={admin-page}&b=mod&c=simple-links', '2');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('templates', 'engine/images/admin/templates.png', 'تم ها', '?a={admin-page}&b=templates', '1');");
$d->query("INSERT INTO `parsnuke_admin` VALUES('backup', 'engine/images/admin/backup.png', 'پشتیبان گیری', '?a={admin-page}&b=backup', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_banned'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_banned`;");
$d->query("CREATE TABLE `parsnuke_banned` (
  `ban_id` int(255) NOT NULL auto_increment,
  `ban_ip` varchar(300) NOT NULL,
  `ban_reason` varchar(400) NOT NULL,
  `ban_date` int(20) NOT NULL,
  PRIMARY KEY  (`ban_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_banned_ip ORDER BY id ASC");
while($data = $d->fetch($q)) 
{
	$d->insert('banned', array(
		'ban_ip' => $data['ip_address'],
		'ban_reason' => $data['reason'],
		'ban_date' => strtotime($data['date']),
	));
}
$d->query("DROP TABLE IF EXISTS `pn_banned_ip`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_blocks'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_blocks`;");
$d->query("CREATE TABLE `parsnuke_blocks` (
  `block_id` int(255) NOT NULL auto_increment,
  `block_ordering` int(255) NOT NULL,
  `block_position` varchar(100) NOT NULL,
  `block_title` varchar(255) NOT NULL,
  `block_content` text NOT NULL,
  `block_view` int(1) NOT NULL,
  `block_function` varchar(500) NOT NULL,
  `block_active` int(1) NOT NULL,
  `block_language` varchar(40) NOT NULL,
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_blocks'
#

$d->query("INSERT INTO `parsnuke_blocks` VALUES('1', '7', 'right', 'موضوعات', '', '1', 'categories', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('2', '13', 'top', 'جستجو درسایت', '[- options -]
size = 70', '1', 'search', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('3', '11', 'right', 'خبرنامه', '', '1', 'newsletter', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('4', '3', 'left', 'كاربري', '', '1', 'account', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('5', '12', 'right', 'اطلاعات آماری', '', '1', 'counter', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('6', '4', 'left', 'صفحات اضافی', '[- options -]
total = 15', '1', 'pages', '1', 'persian');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('7', '10', 'right', 'لینکستان', '', '1', 'simple_links', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('8', '8', 'right', 'جدیدترین پست ها', '[- options -]
total = 15', '1', 'last_posts', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('9', '5', 'left', 'بیشترین بازدید شده ها', '[- options -]
total = 10
hits = true
order = desc', '1', 'last_posts', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('10', '9', 'right', 'نظرسنجی', '', '1', 'voting', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('11', '2', 'bottom', 'جدیدترین نظرات', '[- options -]
total = 15
order = desc', '1', 'posts_comments', '0', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('12', '6', 'left', 'جعبه پیام', '', '1', 'shoutbox', '1', '');");
$d->query("INSERT INTO `parsnuke_blocks` VALUES('13', '14', 'top', 'پارس نیوک نگارش 2.0', '<p style=\"text-align: center;\"><a href=\"http://parsnuke.com\" target=\"_blank\"><img alt=\"پارس نیوک ایرانی نگارش 2.0\" src=\"uploads/ads/parsnuke_468.60.gif\" /></a></p>', '1', '', '1', '');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_comments'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_comments`;");
$d->query("CREATE TABLE `parsnuke_comments` (
  `comment_id` int(255) NOT NULL auto_increment,
  `comment_type` varchar(50) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_link` int(255) NOT NULL,
  `comment_member_id` int(255) NOT NULL,
  `comment_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_email` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_url` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_author_ip` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_date` int(20) NOT NULL default '0',
  `comment_text` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer_author` varchar(255) character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_answer` text character set utf8 collate utf8_persian_ci NOT NULL,
  `comment_approve` int(1) NOT NULL default '0',
  `comment_language` varchar(100) NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_comments WHERE comment_type='content' ORDER BY comment_id ASC");
while($data = $d->fetch($q)) 
{
	if($data['comment_type']!='content') continue;
	$d->insert('comments', array(
		'comment_type' => 'post',
		'comment_link' => $data['comment_link'],
		'comment_member_id' => $data['comment_user_id'],
		'comment_author' => $data['comment_author'],
		'comment_author_email' => $data['comment_author_email'],
		'comment_author_url' => $data['comment_author_url'],
		'comment_author_ip' => $data['comment_author_ip'],
		'comment_date' => strtotime($data['comment_date']),
		'comment_text' => $data['comment_text'],
		'comment_answer_author' => $data['comment_answer_author'],
		'comment_answer' => $data['comment_answer'],
		'comment_approve' => $data['comment_approve'],
	));
}
$d->query("DROP TABLE IF EXISTS `pn_comments`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_counter'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_counter`;");
$d->query("CREATE TABLE `parsnuke_counter` (
  `counter_name` varchar(200) NOT NULL,
  `counter_value` varchar(400) NOT NULL,
  `counter_version` varchar(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_counter'
#

$d->query("INSERT INTO `parsnuke_counter` VALUES('Total', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Internet Explorer', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Firefox', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Mozilla', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Opera', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Netscape', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Konqueror', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Safari', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Galeon', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Epiphany', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-K-Meleon', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-IBrowse', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Camino', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-iCab', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-OmniWeb', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-w3m', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Lynx', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Links', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-ELinks', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Curl', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Voyager', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Amaya', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-Bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Browser-unknown', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Windows', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Linux', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Mac OS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-SunOS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-FreeBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-NetBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-OpenBSD', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-IRIX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-BeOS', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-OS/2', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-AIX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Amiga', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-Darwin', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-HP-UX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-QNX', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-iPhone', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-iPod', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('OS-unknown', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Googlebot-Image', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Mediapartners-Google', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Googlebot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Altavista', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Inktomi', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Yahoo!', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Infoseek', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Nutch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Fireball', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-AlltheWeb', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Alexa (web.archive.org)', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Alexa', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WiseNutBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C Validator', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C CSS Validator', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SurveyBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-QuepasaCreep', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-PHP', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Java', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Overture', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-MSNBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Claymont', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Baiduspider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Almaden', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Il Trovatore', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Teoma', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Gigabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Girafabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WebCopier', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-HTTrack', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-WGet', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-lwp-request', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-JetBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NaverBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Larbin', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ObjectsSearch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Robozilla', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Walhello appie', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Grub', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Gaisbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-mozDex', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-GeonaBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Openbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Boitho', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Pompos', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Exabot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Xenu Link Sleuth', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-W3C-checklink', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Versus', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-FindLinks', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-wwwster', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Steeler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Ocelli', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-BecomeBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Seekbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Psbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-IRLbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-PhpDig', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-gazz', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-MJ12bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-getRAX Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Amfibibot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-GigabotSiteSearch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-pipeLiner', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ZipppBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TurnitinBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-KazoomBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NetResearchServer', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-gamekitbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Vagabondo', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TheSuBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-NPBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Cerberian', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ConveraCrawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-search.ch', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ichiro', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-CydralSpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Szukacz', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Patwebbot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SpeedySpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Mackster', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-thumbshots-de-Bot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Digger', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Zao', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Tutorial Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-InelaBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ASPseek', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Francis', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-TutorGigBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-CipinetBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-ES.NET_Crawler', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-eventax', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-stat', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Xaldon WebSpider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Faxobot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Sherlock', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-Holmes', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-lmspider', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-SeznamBot', '0', '');");
$d->query("INSERT INTO `parsnuke_counter` VALUES('Robot-other', '0', '');");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_statistics ORDER BY stat_name ASC");
while($data = $d->fetch($q)) 
{
	if(substr($data['stat_name'], 0, 4)=='Day-' || substr($data['stat_name'], 0, 6)=='Month-' || substr($data['stat_name'], 0, 5)=='Year-')
	{
		$d->insert('counter', array(
			'counter_name' => $data['stat_name'],
			'counter_value' => $data['stat_value'],
			'counter_version' => '',
		));
	}
	else
	{
		switch($data['stat_value'])
		{
			case 'Browser-GoogleBot':
			$w = "counter_name='Browser-Bot' OR counter_name='Robot-Googlebot'";
			break;

			default:
			$w = "counter_name='".$data['stat_name']."'";
			break;
		}
		
		$d->update('counter', array(
			'counter_value' => $data['stat_value'],
			'counter_version' => '',
		), $w);
	}
}
$d->query("DROP TABLE IF EXISTS `pn_statistics`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_fields'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_fields`;");
$d->query("CREATE TABLE `parsnuke_fields` (
  `field_type` varchar(50) NOT NULL,
  `field_link` int(255) NOT NULL,
  `field_name` varchar(200) NOT NULL,
  `field_value` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_member_groups'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_member_groups`;");
$d->query("CREATE TABLE `parsnuke_member_groups` (
  `group_id` smallint(5) NOT NULL auto_increment,
  `group_name` varchar(32) NOT NULL default '',
  `group_superAdmin` int(1) NOT NULL default '0',
  `group_icon` varchar(200) NOT NULL default '',
  `group_title` text NOT NULL,
  `group_rights` text NOT NULL,
  `group_admin` int(1) NOT NULL default '0',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_member_groups'
#

$d->query("INSERT INTO `parsnuke_member_groups` VALUES('1', 'مدير کل', '1', 'engine/images/groups/1.png', '<font color=\"red\"><strong>{name}</strong></font>', 'account,banned,blocks,cache,counter,groups,media,modules,newsletter,phpinfo,referer,robots,templates,pages,posts,posts-categories,posts-comments,simple-links,voting,account-op,options,posts-options', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('2', 'مدير', '0', 'engine/images/groups/2.png', '<font color=\"green\"><strong>{name}</strong></font>', 'banned,blocks,counter,media,modules,newsletter,referer,pages,posts,posts-categories,posts-comments,simple-links,voting,options', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('3', 'ويرايشگر', '0', 'engine/images/groups/3.png', '<strong>{name}</strong>', 'pages,posts,posts-categories,posts-comments', '1');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('4', 'عضو سايت', '0', 'engine/images/groups/4.png', '{name}', '', '0');");
$d->query("INSERT INTO `parsnuke_member_groups` VALUES('5', 'ميهمان', '0', 'engine/images/groups/5.png', '{name}', '', '0');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_members'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_members`;");
$d->query("CREATE TABLE `parsnuke_members` (
  `member_id` mediumint(8) unsigned NOT NULL auto_increment,
  `member_name` varchar(30) NOT NULL default '',
  `member_key` varchar(255) NOT NULL,
  `member_password` varchar(64) NOT NULL default '',
  `member_email` varchar(100) NOT NULL default '',
  `member_avatar` varchar(100) NOT NULL default '',
  `member_date` int(10) NOT NULL,
  `member_lastvisit` int(10) unsigned NOT NULL default '0',
  `member_visits` int(255) NOT NULL default '1',
  `member_ip` varchar(45) NOT NULL default '0.0.0.0',
  `member_lastip` varchar(45) NOT NULL default '0.0.0.0',
  `member_status` tinyint(1) unsigned NOT NULL default '1',
  `member_web` varchar(200) NOT NULL default '',
  `member_alias` varchar(100) NOT NULL,
  `member_signature` varchar(400) NOT NULL,
  `member_group` int(5) NOT NULL default '4',
  `member_newsletter` int(1) NOT NULL default '1',
  `member_nationality` varchar(200) NOT NULL default 'Iran (Islamic Republic of)',
  `member_gender` varchar(10) NOT NULL default 'male',
  `member_language` varchar(50) NOT NULL,
  PRIMARY KEY  (`member_id`),
  UNIQUE KEY `member_name` (`member_name`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_members ORDER BY member_id ASC");
while($data = $d->fetch($q)) 
{
	$d->insert('members', array(
		'member_id' => $data['member_id'],
		'member_name' => $data['member_name'],
		'member_key' => null,
		'member_password' => null,
		'member_email' => $data['member_email'],
		'member_avatar' => null,
		'member_date' => strtotime($data['member_date']),
		'member_lastvisit' => $data['member_lastvisit'],
		'member_visits' => 1,
		'member_ip' => $data['member_ip'],
		'member_lastip' => $data['member_lastip'],
		'member_status' => $data['member_status'],
		'member_web' => $data['member_web'],
		'member_alias' => $data['member_alias'],
		'member_signature' => $data['member_signature'],
		'member_group' => 4,
		'member_newsletter' => $data['member_newsletter'],
		'member_nationality' => 'Iran (Islamic Republic of)',
		'member_gender' => 'male',
	));
}
$d->query("DROP TABLE IF EXISTS `pn_members`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_modules'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_modules`;");
$d->query("CREATE TABLE `parsnuke_modules` (
  `module_name` varchar(100) NOT NULL,
  `module_version` varchar(15) NOT NULL default '1.0',
  `module_status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`module_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_modules'
#

$d->query("INSERT INTO `parsnuke_modules` VALUES('account', '1.1', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('contact-us', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('counter', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('error', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('feed', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('licence', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('m', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('newsletter', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('pages', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('posts', '1.1', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('redirect', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('search', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('shoutbox', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('simple-links', '1.0', '1');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('sitemap', '1.0', '2');");
$d->query("INSERT INTO `parsnuke_modules` VALUES('voting', '1.0', '1');");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_newsletter'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_newsletter`;");
$d->query("CREATE TABLE `parsnuke_newsletter` (
  `mail` varchar(300) NOT NULL,
  PRIMARY KEY  (`mail`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_options'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_options`;");
$d->query("CREATE TABLE `parsnuke_options` (
  `option_name` varchar(100) NOT NULL,
  `option_value` longtext NOT NULL,
  `autoload` int(1) NOT NULL default '1',
  PRIMARY KEY  (`option_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_options'
#

$d->query("INSERT INTO `parsnuke_options` VALUES('title', 'پارس نیوک', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('language', 'persian', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('offline', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('offline-message', '<p>سایت به منظور به روزرسانی تا اطلاع ثانوی غیرفعال می باشد، لطفا بعدا مراجعه فرمایید.</p><p>مدیر سایت</p>', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('meta-desc', 'یک سایت دیگر با پارس نیوک ایرانی', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('meta-keys', 'رایگان,پارس,نیوک,پارس نیوک,ایرانی,مدیریت محتوا,PHP,جدید,ساده,قدرتمند,سئو,حرفه ای', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('rewrite', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('default-module', 'posts', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('theme', 'default', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('slogan', 'یک سایت دیگر با پارس نیوک ایرانی ....', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('account', 'a:9:{s:8:\"register\";i:1;s:7:\"members\";i:1;s:13:\"members-total\";s:2:\"20\";s:6:\"avatar\";i:1;s:10:\"avatarsize\";s:2:\"50\";s:11:\"minUsername\";i:3;s:11:\"minPassword\";s:1:\"6\";s:5:\"email\";i:1;s:13:\"maxavatardims\";s:7:\"150x150\";}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('licence', '', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('replace-link', '0', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('last-banned', '1343745388', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('admin', 'admin', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('posts', 'a:5:{s:11:\"total-posts\";i:5;s:14:\"total-category\";i:5;s:9:\"total-tag\";i:5;s:12:\"total-author\";i:5;s:6:\"fields\";s:0:\"\";}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('comments', 'a:5:{s:5:\"limit\";i:300;s:10:\"post-guest\";i:1;s:6:\"editor\";i:1;s:5:\"email\";i:1;s:7:\"approve\";i:1;}', '0');");
$d->query("INSERT INTO `parsnuke_options` VALUES('mail', 'info@parsnuke.com', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('feed-limit', '10', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('http-referer', '1', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('separator-rewrite', '/', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('file-rewrite', '.html', '1');");
$d->query("INSERT INTO `parsnuke_options` VALUES('version', '2.0', '1');");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_settings ORDER BY setting_name ASC");
while($data = $d->fetch($q)) 
{
	if($data['setting_name']=='httpref')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='http-referer'", 1);
	}
	elseif($data['setting_name']=='siteMail')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='mail'", 1);
	}
	elseif($data['setting_name']=='slogan')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='slogan' OR option_name='meta-desc'");
	}
	elseif($data['setting_name']=='keywords')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='meta-keys'", 1);
	}
	elseif($data['setting_name']=='sitename')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='title'", 1);
	}
	elseif($data['setting_name']=='seo')
	{
		$d->update('options', array(
			'option_value' => $data['setting_value'],
		), "option_name='rewrite'", 1);
	}
}
$d->query("DROP TABLE IF EXISTS `pn_settings`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_pages'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_pages`;");
$d->query("CREATE TABLE `parsnuke_pages` (
  `page_id` int(11) NOT NULL auto_increment,
  `page_title` varchar(300) NOT NULL,
  `page_slug` varchar(400) NOT NULL,
  `page_time` int(20) NOT NULL default '0',
  `page_author` varchar(300) NOT NULL,
  `page_text` longtext NOT NULL,
  `page_theme` varchar(200) NOT NULL,
  `page_view` int(1) NOT NULL default '1',
  `page_approve` int(1) NOT NULL default '0',
  PRIMARY KEY  (`page_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_extra_page ORDER BY extra_id ASC");
while($data = $d->fetch($q)) 
{
	$d->insert('pages', array(
		'page_id' => $data['extra_id'],
		'page_title' => $data['extra_title'],
		'page_slug' => clean_text($data['extra_title'], true),
		'page_time' => strtotime($data['extra_date']),
		'page_author' => $data['extra_author'],
		'page_view' => $data['extra_view'],
		'page_text' => $data['extra_content'],
		'page_approve' => $data['extra_approve'],
	));
}
$d->query("DROP TABLE IF EXISTS `pn_extra_page`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_terms'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_terms`;");
$d->query("CREATE TABLE `parsnuke_terms` (
  `term_id` bigint(20) unsigned NOT NULL auto_increment,
  `term_type` varchar(15) NOT NULL default 'p-tag',
  `term_name` varchar(200) NOT NULL default '',
  `term_description` varchar(300) NOT NULL,
  `term_slug` varchar(200) NOT NULL default '',
  `term_parent` int(255) NOT NULL default '0',
  PRIMARY KEY  (`term_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_categories WHERE cat_type='content' ORDER BY cat_id ASC");
while($data = $d->fetch($q)) 
{
	if($data['cat_type']!='content') continue;
	$d->insert('terms', array(
		'term_id' => $data['cat_id'],
		'term_type' => 'p-cat',
		'term_name' => $data['cat_name'],
		'term_description' => $data['cat_description'],
		'term_slug' => clean_text($data['cat_name'], true),
		'term_parent' => $data['cat_parent'],
	));
}
$d->query("DROP TABLE IF EXISTS `pn_categories`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_posts'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_posts`;");
$d->query("CREATE TABLE `parsnuke_posts` (
  `post_id` int(255) NOT NULL auto_increment,
  `post_author` varchar(255) NOT NULL default '',
  `post_date` int(15) NOT NULL,
  `post_title` varchar(255) NOT NULL default '',
  `post_name` varchar(300) NOT NULL,
  `post_text` text NOT NULL,
  `post_more` longtext NOT NULL,
  `post_hits` int(255) NOT NULL default '0',
  `post_view` int(1) NOT NULL default '1',
  `post_categories` varchar(500) NOT NULL,
  `post_tags` varchar(500) NOT NULL,
  `post_comment` int(1) NOT NULL default '1',
  `post_comment_count` int(5) NOT NULL default '0',
  `post_image` varchar(200) NOT NULL,
  `post_language` varchar(100) NOT NULL default 'persian',
  `post_fixed` tinyint(1) NOT NULL default '0',
  `post_approve` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_content ORDER BY content_id ASC");
while($data = $d->fetch($q)) 
{
	$data['content_tags'] = posts_tags($data['content_tags']);
	$d->insert('posts', array(
		'post_id' => $data['content_id'],
		'post_author' => $data['content_author'],
		'post_date' => strtotime($data['content_date']),
		'post_title' => $data['content_title'],
		'post_name' => clean_text($data['content_title'], true),
		'post_text' => $data['content_text'],
		'post_more' => $data['content_more'],
		'post_hits' => $data['content_hits'],
		'post_view' => $data['content_view'],
		'post_view' => $data['content_view'],
		'post_categories' => $data['content_category'],
		'post_tags' => implode(',', $data['content_tags']['id']),
		'post_comment' => $data['content_comment'],
		'post_comment_count' => $d->query("SELECT comment_id FROM #__comments where comment_link='".$data['content_id']."'"),
		'post_fixed' => $data['content_fixed'],
		'post_approve' => $data['content_approve'],
	));
}
$d->query("DROP TABLE IF EXISTS `pn_content`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_private_messages'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_private_messages`;");
$d->query("CREATE TABLE `parsnuke_private_messages` (
  `msg_id` int(255) NOT NULL auto_increment,
  `msg_sender` varchar(100) NOT NULL,
  `msg_receiver` varchar(100) NOT NULL,
  `msg_subject` varchar(200) NOT NULL,
  `msg_text` text NOT NULL,
  `msg_date` int(20) NOT NULL,
  `msg_read` int(1) NOT NULL default '0',
  PRIMARY KEY  (`msg_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_referer'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_referer`;");
$d->query("CREATE TABLE `parsnuke_referer` (
  `ref_id` int(11) NOT NULL auto_increment,
  `ref_url` varchar(100) NOT NULL default '',
  `ref_domain` varchar(300) NOT NULL,
  `ref_time` varchar(30) NOT NULL,
  `ref_ip` varchar(200) NOT NULL,
  PRIMARY KEY  (`ref_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");


# --------------------------------------------------------
#
# Table structure for table 'parsnuke_search'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_search`;");
$d->query("CREATE TABLE `parsnuke_search` (
  `search_id` int(11) NOT NULL auto_increment,
  `search_key` varchar(32) default NULL,
  `search_title` varchar(150) default NULL,
  `search_author` varchar(50) default NULL,
  `search_content` text,
  `search_date` int(20) NOT NULL,
  `search_module` varchar(25) default NULL,
  `search_url` varchar(500) default NULL,
  `search_time` int(20) default NULL,
  `search_keywords` varchar(255) default NULL,
  PRIMARY KEY  (`search_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_session'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_session`;");
$d->query("CREATE TABLE `parsnuke_session` (
  `session_member` varchar(30) NOT NULL default '',
  `session_time` varchar(14) NOT NULL default '',
  `session_ip` varchar(48) NOT NULL default '',
  `session_page` varchar(500) NOT NULL,
  `session_guest` int(1) NOT NULL default '0',
  KEY `time` (`session_time`),
  KEY `guest` (`session_guest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_shoutbox'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_shoutbox`;");
$d->query("CREATE TABLE `parsnuke_shoutbox` (
  `shout_id` int(255) NOT NULL auto_increment,
  `shout_time` int(20) NOT NULL,
  `shout_member` varchar(255) NOT NULL,
  `shout_message` varchar(400) NOT NULL,
  PRIMARY KEY  (`shout_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;");

#
# Dumping data for table 'parsnuke_shoutbox'
#

$d->query("INSERT INTO `parsnuke_shoutbox` VALUES('1', '1343401395', 'admin', 'گروه پارس نیوک بروزرسانی سایت شما را تبریک می گوید!');");

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_simple_links'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_simple_links`;");
$d->query("CREATE TABLE `parsnuke_simple_links` (
  `link_id` int(255) NOT NULL auto_increment,
  `link_title` varchar(100) NOT NULL,
  `link_description` varchar(400) NOT NULL,
  `link_href` varchar(600) NOT NULL,
  `link_target` varchar(10) NOT NULL,
  `link_direct_link` int(1) NOT NULL default '1',
  `link_color` varchar(100) NOT NULL default '',
  `link_bold` int(1) NOT NULL default '0',
  `link_strikethrough` int(1) NOT NULL default '0',
  `link_active` int(1) NOT NULL default '1',
  `link_language` varchar(100) NOT NULL default 'persian',
  PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;");

########### Begin Insert
$q = $d->query("SELECT * FROM pn_web_links ORDER BY link_id ASC");
while($data = $d->fetch($q)) 
{
	$d->insert('simple_links', array(
		'link_id' => $data['link_id'],
		'link_title' => $data['link_title'],
		'link_description' => $data['link_description'],
		'link_href' => $data['link_href'],
		'link_target' => $data['link_target'],
		'link_direct_link' => $data['link_direct_link'],
		'link_color' => $data['link_color'],
		'link_bold' => $data['link_bold'],
		'link_strikethrough' => $data['link_strikethrough'],
		'link_active' => $data['link_active'],
		'link_language' => $data['link_language'],
	));
}
$d->query("DROP TABLE IF EXISTS `pn_web_links`;");
########### End Insert

# --------------------------------------------------------
#
# Table structure for table 'parsnuke_voting'
#

$d->query("DROP TABLE IF EXISTS `parsnuke_voting`;");
$d->query("CREATE TABLE `parsnuke_voting` (
  `vote_id` int(11) NOT NULL auto_increment,
  `vote_title` varchar(255) NOT NULL default '',
  `vote_case` text NOT NULL,
  `vote_ip` text,
  `vote_members` text,
  `vote_date` varchar(20) NOT NULL,
  `vote_result` text,
  `vote_button` varchar(200) NOT NULL default 'Submit',
  `vote_status` int(1) NOT NULL default '0',
  `vote_language` varchar(25) default NULL,
  PRIMARY KEY  (`vote_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;");


#
# Dumping data for table 'parsnuke_voting'
#

$d->query("INSERT INTO `parsnuke_voting` VALUES('1', 'نگارش۲ پارس نیوک از نظر شما؟', 'بسیارعالی|عالی|خوب|امیدوار کننده|بد نیست|خوب نیست|نظری ندارم!', '', '', '1342362396', '0,0,0,0,0,0,0', 'ثبت رای', '1', '');");

# delete tables
$d->query("DROP TABLE IF EXISTS `pn_antiflood`;");
$d->query("DROP TABLE IF EXISTS `pn_authors`;");
$d->query("DROP TABLE IF EXISTS `pn_banners`;");
$d->query("DROP TABLE IF EXISTS `pn_banners_positions`;");
$d->query("DROP TABLE IF EXISTS `pn_blocks`;");
$d->query("DROP TABLE IF EXISTS `pn_downloads`;");
$d->query("DROP TABLE IF EXISTS `pn_firewall`;");
$d->query("DROP TABLE IF EXISTS `pn_groups`;");
$d->query("DROP TABLE IF EXISTS `pn_groups_points`;");
$d->query("DROP TABLE IF EXISTS `pn_main`;");
$d->query("DROP TABLE IF EXISTS `pn_message`;");
$d->query("DROP TABLE IF EXISTS `pn_modules`;");
$d->query("DROP TABLE IF EXISTS `pn_optimize_gain`;");
$d->query("DROP TABLE IF EXISTS `pn_polls`;");
$d->query("DROP TABLE IF EXISTS `pn_poll_check`;");
$d->query("DROP TABLE IF EXISTS `pn_private_messages`;");
$d->query("DROP TABLE IF EXISTS `pn_referer`;");
$d->query("DROP TABLE IF EXISTS `pn_session`;");
$d->query("DROP TABLE IF EXISTS `pn_smileys`;");

?>