<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

@session_start();
@ob_start();
@ob_implicit_flush(0);

define('security', true);
define('root_dir', dirname(dirname(__FILE__)).'/');
define('engine_dir', root_dir.'/engine/');
require_once('common.php');
require_once('template/template.php');

$ajax = isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest'? true : false;
$_GET['action'] = !isset($_GET['action']) || empty($_GET['action'])? null : $_GET['action'];

if(!file_exists('parsnuke.lock')):
switch($_GET['action'])
{
	case 'database':
	if(!$ajax) print_header('Upgrade');
	echo '<script>parsnuke.$("percent").style.width = "80px"</script>'."\n";
	print_info('پیکربندی ديتابيس', 'لطفا اطلاعات لازم براي اتصال به ديتابس را معين کنيد، در صورت صحيح بودن اطلاعات فايل پيکربندي ديتابس ساخته خواهد شد و اطلاعات لازم براي ارتباط با ديتابس در آن ذخيره مي شود.');
	echo '<form id="form-database" onSubmit="return false">'."\n";
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '  <tr>'."\n";
	echo '    <td style="width:230px; cursor: help" title="معمولا localhost مي باشد">نام هاست <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Host Name)</font></td>'."\n";
	echo '    <td><input name="database[host]" id="input-host" type="text" value="localhost" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>نام کاربري <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL User Name)</font></td>'."\n";
	echo '    <td><input name="database[user]" id="input-user" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>پسورد ديتابس <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL Password)</font></td>'."\n";
	echo '    <td><input name="database[password]" id="input-password" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>نام ديتابيس <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(MySQL Database Name)</font></td>'."\n";
	echo '    <td><input name="database[name]" id="input-name" type="text" style="width:350px; float: left; direction: ltr" value="" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td></td>'."\n";
	echo '    <td><button onClick="upgrade_config()" disabled="disabled" id="button-disabled">ساختن فايل پيكربندي ديتابيس</button><button onClick="upgrade_check(\'database\')" style="margin-left:10px">برسي اطلاعات</button></td>'."\n";
	echo '  </tr>'."\n";
	echo '</table>'."\n";
	echo '</form>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;

	case 'db-check':
	$_POST['database'] = array_map('trim', $_POST['database']);
	$result = 'error';
	
	$connect = @mysql_connect($_POST['database']['host'], $_POST['database']['user'], $_POST['database']['password'], true);
	if($connect)
	{
		if(@mysql_select_db($_POST['database']['name'], $connect)) 
		{
			$result = 'success';
		}
		else
		{
			$result = 'select';
		}
	}
	else
	{
		$result = 'connect';
	}
	
	die('{"result":"'.$result.'"}');
	break;
	
	case 'config':
	if(!$ajax) print_header('Upgrade');
	$_POST['database'] = array_map('trim', $_POST['database']);
	
	$connect = @mysql_connect($_POST['database']['host'], $_POST['database']['user'], $_POST['database']['password'], true);
	if($connect)
	{
		if(@mysql_select_db($_POST['database']['name'], $connect)) 
		{
			$connect = 'success';
		}
	}

	if($connect == 'success')
	{
		$_POST['database'] = array_map(create_function('$a', 'return str_replace("\'", "\\\'", $a);'), $_POST['database']);
		
		$php  = '<?php'."\n";
		$php .= '/**'."\n";
		$php .= ' * @In the name of God!'."\n";
		$php .= ' * @author: Iman Moodi (Iman92)'."\n";
		$php .= ' * @email: info@parsnuke.com'."\n";
		$php .= ' * @link: http://www.parsnuke.com'."\n";
		$php .= ' * @license: http://www.gnu.org/licenses/'."\n";
		$php .= ' * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.'."\n";
		$php .= ' * @ParsNuke CMS is a Free Software'."\n";
		$php .= ' */'."\n\n";
		$php .= 'defined(\'security\') or die(\'Nice TRY!\');'."\n\n";
		$php .= 'define(\'database_host\', \''.$_POST['database']['host'].'\');'."\n";
		$php .= 'define(\'database_user\', \''.$_POST['database']['user'].'\');'."\n";
		$php .= 'define(\'database_password\', \''.$_POST['database']['password'].'\');'."\n";
		$php .= 'define(\'database_name\', \''.$_POST['database']['name'].'\');'."\n";
		$php .= 'define(\'database_prefix\', \'parsnuke_\');'."\n";
		$php .= 'define(\'database_charset\', \'utf8\');'."\n";
		$php .= 'define(\'database_save_queries\', false);'."\n\n";
		$php .= 'define(\'version\', \'2.0.0\');'."\n";
		$php .= 'define(\'error_reporting\', false);'."\n";
		$php .= 'define(\'charset\', \'utf-8\');'."\n";
		$php .= 'define(\'sitekey\', \''.generate_password(40).'\');'."\n";
		$php .= 'define(\'domain\', \''.str_replace('www.', '', $_SERVER['SERVER_NAME']).'\');'."\n";
		$php .= 'define(\'url\', \'http://'.trim(str_replace('www.', '', $_SERVER['SERVER_NAME']).'/'.my_path(), '/').'/\');'."\n";
		$php .= 'define(\'caching\', true);'."\n";
		$php .= 'define(\'caching_life\', 7200);'."\n\n";
		$php .= '?>';

		if(file_put_contents('../engine/config.inc.php', $php))
		{
			echo '<script>parsnuke.$("percent").style.width = "350px"</script>'."\n";
			print_info('پايان پيکربندي', 'فايل پيکربندي ديتابس با موفقيت ايجاد شده است، در مرحله ي بعدي اطلاعات لازم در ديتابيس سايت نوشته خواهد شد.<br>اطلاعات ثبت شده به شرح زیر است.');

			require_once('../engine/config.inc.php');
			echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
			echo '<tr>'."\n";
			echo '	<td style="width:290px">نام هاست <font color="#CCCCCC" size="1" dir="ltr">(Host Name)</font></td>'."\n";
			echo '	<td><b>'.database_host.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>نام کاربري <font color="#CCCCCC" size="1" dir="ltr">(MySQL User Name)</font></td>'."\n";
			echo '	<td><b>'.database_user.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>پسورد ديتابس <font color="#CCCCCC" size="1" dir="ltr">(MySQL Password)</font></td>'."\n";
			echo '	<td><b>'.database_password.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>نام ديتابيس <font color="#CCCCCC" size="1" dir="ltr">(MySQL Database Name)</font></td>'."\n";
			echo '	<td><b>'.database_name.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>آدرس سایت</td>'."\n";
			echo '	<td dir=ltr><b>'.url.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '<tr>'."\n";
			echo '	<td>دامنه سایت</td>'."\n";
			echo '	<td><b>'.domain.'</b></td>'."\n";
			echo '</tr>'."\n";
			echo '</table>'."\n";

			echo '<button onClick="upgrade_load(\'db-upgrade\')">بروزرسانی اطلاعات دیتابیس</button>'."\n";
		}
		else
		{
			print_info('خطا در پيکربندي', 'در نوشتن فایل پیکربندی خطایی رخ داده مجدد تلاش کنید.');
			echo '<button onClick="upgrade_load(\'database\')">بازگشت</button>'."\n";
		}
	}
	else
	{
		print_info('خطا در پیکربندی ديتابيس', 'اطلاعات وارد شده صحیح نیست لطفا بازگردید و مجدد تلاش کنید.');
		echo '<button onClick="upgrade_load(\'database\')">بازگشت</button>'."\n";
	}

	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'db-upgrade':
	if(!$ajax) print_header('Upgrade');
	require_once('../engine/config.inc.php');
	
	$connect = @mysql_connect(database_host, database_user, database_password, true);
	if($connect)
	{
		if(@mysql_select_db(database_name, $connect)) 
		{
			$connect = 'success';
		}
	}

	if($connect == 'success')
	{
		@set_time_limit(1200);
		require_once('../engine/database.class.php');
		$d = new database;
		$d->connect(array(
			'host' => database_host,
			'user' => database_user,
			'password' => database_password,
			'name' => database_name,
			'prefix' => database_prefix,
			'charset' => database_charset,
		));
		require_once('sql/upgrade.php');
		
		print_info('پايان بروزرسانی دیتابیس', 'اطلاعات ديتابيس سايت شما با موفقيت بروزرسانی شده است.');
		echo '<button onClick="upgrade_load(\'admin\')">بروزرسانی مدیر</button>'."\n";
	}
	else
	{
		print_info('خطا در پیکربندی ديتابيس', 'ارتباط برقرار نشد!');
		echo '<button onClick="upgrade_load(\'database\')">بازگشت</button>'."\n";
	}

	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;

	case 'admin':
	require_once('../engine/config.inc.php');
	require_once('../engine/database.class.php');
	$d = new database;
	$d->connect(array(
		'host' => database_host,
		'user' => database_user,
		'password' => database_password,
		'name' => database_name,
		'prefix' => database_prefix,
		'charset' => database_charset,
	));

	$q = $d->query("SELECT member_name FROM #__members WHERE member_id='1' LIMIT 1");
	$data = $d->fetch($q);
	
	if(!$ajax) print_header('Upgrade');
	echo '<script>parsnuke.$("percent").style.width = "550px"</script>'."\n";
	print_info('اطلاعات کاربري مدير سايت', 'لطفا اطلاعات مورد نياز براي بروزرسانی مدير سايت را وارد کنيد، به دلیل تغییرات باید پسورد جدید ایجاد کنید، پسورد باید حداقل 6 حرف باشد.');
	echo '<form id="form-admin" onSubmit="return false">'."\n";
	echo '<table cellpadding="0" cellspacing="0" class="padding">'."\n";
	echo '  <tr>'."\n";
	echo '    <td style="width:230px">نام کاربري مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin User Name)</font></td>'."\n";
	echo '    <td><input disabled="disabled" type="text" value="'.$data['member_name'].'" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td style="width:230px">ایمیل مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Email)</font></td>'."\n";
	echo '    <td><input name="admin[email]" id="input-email" type="text" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>پسورد مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Password)</font></td>'."\n";
	echo '    <td><input name="admin[pass1]" id="input-pass1" type="Password" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td>تکرار پسورد مدير <font color="#CCCCCC" size="1" dir="ltr" style="float: left">(Admin Password)</font></td>'."\n";
	echo '    <td><input name="admin[pass2]" id="input-pass2" type="Password" value="" style="width:350px; float: left; direction: ltr" /></td>'."\n";
	echo '  </tr>'."\n";
	echo '  <tr>'."\n";
	echo '    <td></td>'."\n";
	echo '    <td><button onClick="upgrade_admin()" disabled="disabled" id="button-disabled">بروزرسانی مدیر</button><button onClick="upgrade_check(\'admin\')" style="margin-left:10px">برسي اطلاعات</button></td>'."\n";
	echo '  </tr>'."\n";
	echo '</table>'."\n";
	echo '</form>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
	
	case 'admin-check':
	$_POST['admin'] = array_map('trim', $_POST['admin']);
	$_POST['admin']['email'] = filter($_POST['admin']['email'], 'safe');
	$_POST['admin']['pass1'] = filter($_POST['admin']['pass1'], 'safe');
	$_POST['admin']['pass2'] = filter($_POST['admin']['pass2'], 'safe');
	$result = 'error';
	
	if(!validate_email_format($_POST['admin']['email']))
	{
		$result = 'email';
	}
	else
	{
		if(strlen($_POST['admin']['pass1'])<=5 || $_POST['admin']['pass1']!=$_POST['admin']['pass2'])
		{
			$result = 'pass';
		}
		else
		{
			$result = 'success';
		}
	}
	
	die('{"result":"'.$result.'"}');
	break;
	
	case 'admin-upgrade':
	if(!$ajax) print_header('Upgrade');

	require_once('../engine/config.inc.php');
	require_once('../engine/database.class.php');
	$d = new database;
	$d->connect(array(
		'host' => database_host,
		'user' => database_user,
		'password' => database_password,
		'name' => database_name,
		'prefix' => database_prefix,
		'charset' => database_charset,
	));
	
	$_POST['admin'] = array_map('trim', $_POST['admin']);
	$_POST['admin'] = $d->escapeString($_POST['admin']);
	$_POST['admin']['email'] = filter($_POST['admin']['email'], 'safe');
	$_POST['admin']['pass1'] = filter($_POST['admin']['pass1'], 'safe');
	$_POST['admin']['pass2'] = filter($_POST['admin']['pass2'], 'safe');
	
	if(strlen($_POST['admin']['pass1'])>5 && $_POST['admin']['pass1']==$_POST['admin']['pass2'] && validate_email_format($_POST['admin']['email']))
	{
		$q = $d->query("SELECT member_name FROM #__members WHERE member_id='1' LIMIT 1");
		$data = $d->fetch($q);

		$_POST['admin']['pass1'] = str_replace('\\', null, $_POST['admin']['pass1']);
		$d->update('members', array(
			'member_password' => md5('pars-'.sha1($d->escapeString($_POST['admin']['pass1'])).'-nuke'),
			'member_ip' => get_ip(),
			'member_lastip' => get_ip(),
			'member_email' => $_POST['admin']['email'],
			'member_group' => 1,
			'member_avatar' => 'uploads/avatars/avatar_1.jpg',
			'member_lastvisit' => time(),
		), "member_id='1'", 1);
		
		$d->update('shoutbox', array(
			'shout_member' => $data['member_name'],
		));
		
		$result = 'ok';
	}
	
	if(isset($result))
	{
		echo '<script>parsnuke.$("percent").style.width = "615px"</script>'."\n";
		print_info('پايان بروزرسانی پارس نيوک', 'تبريک! سايت پارس نيوکي شما با موفقيت بروزرسانی شده است و مي توانيد از آن لذت ببريد.<br>به دلیل تغییرات ایجاد شده کاربران باید از بخش فراموشی پسورد برای خود یک پسورد جدید ایجاد کنند!<br>برای انتخاب پارس نیوک از شما سپاس گذاریم.<br>ایمان مودی');
		
		echo '<center><br>'."\n";
		echo '<a href="'.url.'" target="_blank"><b>مشاهده سایت</b></a><br><br>'."\n";
		echo 'آدرس بخش مدیریت سایت<br>'."\n";
		echo '<a href="'.url.'?a=admin" target="_blank"><b>'.url.'?a=admin</b></a><br><br>'."\n";
		echo '<a href="http://parsnuke.com" target="_blank"><b>مشاهده سایت رسمی پارس نیوک ایرانی!</b></a>'."\n";
		echo '</center>'."\n";

		file_put_contents('parsnuke.lock', 1);
	}
	else
	{
		print_info('اطلاعات کاربري مدير سايت', 'خطایی رخ داده مجدد تلاش کنید!');
		echo '<button onClick="upgrade_load(\'admin\')">بازگشت</button>'."\n";
	}
	
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;

	default:
	if(!$ajax) print_header('Upgrade');
	echo '<script>parsnuke.$("percent").style.width = "0px"</script>'."\n";
	print_info('اخطار!', 'توصیه اکید می شود قبل از شروع بروزرسانی از اطلاعات دیتابیس خود یک پشتیبان تهیه کنید.');
	echo '<button onClick="upgrade_load(\'database\')">شروع بروزرسانی به نگارش 2</button>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
	break;
}
else:
	if(!$ajax) print_header('Upgrade');
	print_info('خطا', '<font color=red>پارس نيوك قبلا نصب شده است!<br />براي نصب مجدد فايل <b>parsnuke.lock</b> را از پوشه <b>install</b> حذف كنيد.</font>');
	echo '<center><a href="http://parsnuke.com" target="_blank"><b>مشاهده سایت رسمی پارس نیوک ایرانی!</b></a></center>'."\n";
	if($ajax) echo '<div class="clear"></div>'."\n";
	if(!$ajax) print_footer();
endif;

?>