<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_account_info()
{
	return array(
		'name' => 'account',
		'version' => '1.1',
		'creationDate' => '2012-07-21 18:00:03',
		'description' => 'ماژول سامانه کاربری پارس نیوک',
		'author' => 'iman moodi',
		'authorEmail' => 'imanmoodi@yahoo.com',
		'authorUrl' => 'http://parsnuke.com',
		'license' => 'GNU/GPL',
	);
}

function module_account_admin()
{
	member::check_admin_page_access('account') or die('Warning access!');
	global $tpl, $d, $options, $cache;
	require(root_dir.'modules/account/functions.admin.php');
	$_GET['do'] = get_param($_GET, 'do');

	switch($_GET['do'])
	{
		case 'edit';
		func_admin_account_edit();
		break;

		case 'status';
		func_admin_account_status();
		break;
		
		case 'options';
		func_admin_account_options();
		break;
		
		default:
		func_admin_account();
		break;
	}
}

?>