<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_error_run($type = null, $exit = false)
{
	global $page;

	if($type=='400' || (isset($_GET['b']) && $_GET['b']=='400'))
	{
		Header('HTTP/1.0 400 Bad Request');
		$page['theme']  = 'error-400';
		$page['title'] .= ' &bull; Bad Request!';
		$page['meta']['canonical'] = url('error/400');
		$message = 'Server didn\'t understand the URL you gave it.';
	}
	elseif($type=='403' || (isset($_GET['b']) && $_GET['b']=='403'))
	{
		Header('HTTP/1.0 403 Forbidden');
		$page['theme']  = 'error-403';
		$page['title'] .= ' &bull; Forbidden!';
		$page['meta']['canonical'] = url('error/403');
		$message = 'Server refuses to give you a file, authentication won\'t help!';
	}
	elseif($type=='500' || (isset($_GET['b']) && $_GET['b']=='500'))
	{
		Header('HTTP/1.0 500 Internal Server Error');
		$page['theme']  = 'error-500';
		$page['title'] .= ' &bull; Internal Server Error!';
		$page['meta']['canonical'] = url('error/500');
		$message = 'Something on the server didn\'t work right.';
	}
	elseif($type=='503' || (isset($_GET['b']) && $_GET['b']=='503'))
	{
		Header('HTTP/1.0 503 Service Unavailable');
		$page['theme']  = 'error-503';
		$page['title'] .= ' &bull; Service Unavailable!';
		$page['meta']['canonical'] = url('error/503');
		$message = 'Too busy to respond to a client!';
	}
	else // 404
	{
		Header('HTTP/1.0 404 Not Found');
		$page['theme']  = 'error-404';
		$page['title'] .= ' &bull; یافت نشد!'; // Not Found
		$page['meta']['canonical'] = url('error/404');
		$message = 'اطلاعات درخواستی شما در سایت یافت نشد!'; // A file doesn't exist at that address
	}

	set_content('خطا', message($message, 'error'));

	if($exit)
		exit;
}


?>