<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_licence_run()
{
	global $tpl, $page, $d, $options;

	if(!$options['licence'] = get_cache('options-licence', 2592000)) /* 2592000 == 1 Month */
	{
		$options['licence'] = $d->get_row("SELECT * FROM `#__options` WHERE `option_name`='licence'");
		$options['licence'] = $options['licence'][0]['option_value'];
		set_cache('options-licence', $options['licence'], false);
	}

	$page['title'] .= ' &bull; قوانین';
	$page['meta']['description'] = 'قوانین سایت - '.$page['meta']['description'];
	$page['meta']['canonical'] = url('licence');

	set_content('قوانین سایت', empty($options['licence'])? message('فعلا قانونی نیست!', 'info') : $options['licence']);
}

function module_licence_sitemap(&$sitemap)
{
	$sitemap->addItem(url('licence'), 0, 'monthly', '0.6');
}

?>