<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_newsletter_run()
{
	$mail = get_param($_GET, 'b');
	$action = get_param($_GET, 'c', 'add');
	$key = get_param($_GET, 'd');
	if(isset($_GET['b']))
	{
		if(!empty($mail) && validate_email_format($mail))
		{
			global $d;
			$mail = filter($mail, 'safe');
			if($action == 'add')
			{
				if($d->numRows("SELECT `mail` FROM `#__newsletter` WHERE `mail`='".$mail."'", true) >= 1)
				{
					if(is_ajax())
					{
						die('<img src="'.url.'engine/images/icons/cross-script.png" width=16 height=16>&nbsp;<font color="red">این ایمیل قبلا ثبت شده است!</font><br><br>');
					}
					else
					{
						global $page;
						$page['title'] .= ' &bull; عضویت در خبرنامه';
						$page['meta']['canonical'] = url('newsletter');
						set_content('عضویت در خبرنامه', message('این ایمیل قبلا ثبت شده است!', 'error'));
					}
				}
				else
				{
					if(!empty($key) && strlen($key)==32)
					{
						global $page;
						$page['title'] .= ' &bull; عضویت در خبرنامه';
						$page['meta']['canonical'] = url('newsletter');

						if(md5(sitekey.$mail) == $key)
						{
							$d->insert('newsletter', array(
								'mail' => $mail
							));
							set_content('عضویت در خبرنامه', message('ایمیل '.$mail.' با موفقیت ثبت شد.', 'success'));
						}
						else
						{
							set_content('عضویت در خبرنامه', message('متاسفانه کد عتبارسنجی درخواست شما معتبر نیست!', 'error'));
						}
					}
					else
					{
						global $options;
						$Body = url.url('newsletter/'.$mail.'/add/'.md5(sitekey.$mail));
						$Body = 'شما درخواست عضویت در خبرنامه سایت ما را داده اید!<br>برای ثبت ایمیل خود روی لینک زیر کلیک کنید.<br><a href="'.$Body.'" traget="_blank" dir="ltr">'.$Body.'</a>';
						if(send_mail($mail, 'عضویت در خبرنامه سایت '.$options['title'], $Body, $options['mail']))
						{
							echo '<font color="green">پیامی به ایمیل شما ارسال شد.</font><br>';
							echo '<font color="green">در صورتي كه در پوشه Inbox پيامي نبود پوشه Spam را هم برسي كنيد.</font><br><br>';
							die;
						}
						else
						{
							die('<font color="red">در ارسال ایمیل خطایی رخ داده، مجدد تلاش کنید.</font><br><br>');
						}
					}
				}
			}
			else
			{
				if($d->numRows("SELECT `mail` FROM `#__newsletter` WHERE `mail`='".$mail."'", true) <= 0)
				{
					if(is_ajax())
					{
						die('<img src="'.url.'engine/images/icons/cross-script.png" width=16 height=16>&nbsp;<font color="red">این ایمیل هنوز ثبت نشده است!</font><br><br>');
					}
					else
					{
						global $page;
						$page['title'] .= ' &bull; لغو عضویت در خبرنامه';
						$page['meta']['canonical'] = url('newsletter');
						set_content('لغو عضویت در خبرنامه', message('این ایمیل هنوز ثبت نشده است!', 'error'));
					}
				}
				else
				{
					if(!empty($key) && strlen($key)==32)
					{
						global $page;
						$page['title'] .= ' &bull; لغو عضویت در خبرنامه';
						$page['meta']['canonical'] = url('newsletter');

						if(md5(sitekey.$mail) == $key)
						{
							$d->delete('newsletter', "`mail`='".$mail."'", 1);
							set_content('لغو عضویت در خبرنامه', message('ایمیل '.$mail.' با موفقیت حذف شد.', 'success'));
						}
						else
						{
							set_content('لغو عضویت در خبرنامه', message('متاسفانه کد عتبارسنجی درخواست شما معتبر نیست!', 'error'));
						}
					}
					else
					{
						global $options;
						$Body = url.url('newsletter/'.$mail.'/remove/'.md5(sitekey.$mail));
						$Body = 'شما درخواست لغو عضویت در خبرنامه سایت ما را داده اید!<br>برای حذف ایمیل خود از خبرنامه روی لینک زیر کلیک کنید.<br><a href="'.$Body.'" traget="_blank" dir="ltr">'.$Body.'</a>';
						if(send_mail($mail, 'لغو عضویت در خبرنامه سایت '.$options['title'], $Body, $options['mail']))
						{
							echo '<font color="green">پیامی به ایمیل شما ارسال شد.</font><br>';
							echo '<font color="green">در صورتي كه در پوشه Inbox پيامي نبود پوشه Spam را هم برسي كنيد.</font><br><br>';
							die;
						}
						else
						{
							die('<font color="red">در ارسال ایمیل خطایی رخ داده، مجدد تلاش کنید.</font><br><br>');
						}
					}
				}
			}
		}
		else
		{
			if(is_ajax())
			{
				die('<img src="'.url.'engine/images/icons/cross-script.png" width=16 height=16>&nbsp;<font color="red">ایمیل وارد شده معتبر نیست!</font><br><br>');
			}
			else
			{
				global $page;
				$page['title'] .= ' &bull; خبرنامه';
				$page['meta']['canonical'] = url('newsletter');
				set_content('خبرنامه', message('ایمیل وارد شده معتبر نیست!', 'error'));
			}
		}
	}
	else
	{
		global $page;
		$page['title'] .= ' &bull; عضویت در خبرنامه';
		$page['meta']['canonical'] = url('newsletter');
		set_content('عضویت در خبرنامه', block_newsletter(null, '-index'));
	}
}

function module_newsletter_sitemap(&$sitemap)
{
	$sitemap->addItem(url('newsletter'), 0, 'never', '0.6');
}

function block_newsletter($op, $id = null, $position = null)
{
	if($op=='remove-cache') return true;
	$itpl = new template('modules/newsletter/html/block.tpl');
	$itpl->assign('{id}', $id);
	return $itpl->get_var();
}

?>