<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_posts_info()
{
	return array(
		'name' => 'posts',
		'version' => '1.1',
		'creationDate' => '2012-07-21 18:00:03',
		'description' => 'ماژول پست های پارس نیوک.',
		'author' => 'iman moodi',
		'authorEmail' => 'imanmoodi@yahoo.com',
		'authorUrl' => 'http://parsnuke.com',
		'license' => 'GNU/GPL',
	);
}

function module_posts_admin()
{
	group_admin==1 or die('Warning access!');
	(member::check_admin_page_access('posts') || member::check_admin_page_access('posts-comments') || member::check_admin_page_access('posts-categories') || member::check_admin_page_access('posts-options')) or die('Warning access!');

	global $tpl, $d, $options, $cache;
	require(root_dir.'modules/posts/functions.admin.php');
	$_GET['do'] = get_param($_GET, 'do');

	switch($_GET['do'])
	{
		case 'categories';
		func_admin_categories();
		break;

		case 'categories-parent';
		func_admin_categories_parent();
		break;

		case 'categories-new';
		func_admin_categories_new();
		break;

		case 'categories-edit';
		func_admin_categories_edit();
		break;

		case 'categories-list';
		func_admin_categories_list();
		break;

		case 'categories-delete';
		func_admin_categories_delete();
		break;

		case 'posts-new';
		func_admin_posts_new();
		break;

		case 'posts-edit';
		func_admin_posts_edit();
		break;

		case 'posts-title';
		func_admin_posts_title();
		break;

		case 'posts-approve';
		func_admin_posts_approve();
		break;

		case 'posts-fixed';
		func_admin_posts_fixed();
		break;
		
		case 'posts-delete';
		func_admin_posts_delete();
		break;

		case 'options';
		func_admin_posts_options();
		break;
		
		case 'comments';
		func_admin_posts_comments();
		break;
		
		case 'comments-edit';
		func_admin_posts_comments_edit();
		break;
		
		case 'comments-approve';
		func_admin_posts_comments_approve();
		break;
		
		case 'comments-delete';
		func_admin_posts_comments_delete();
		break;
		
		default:
		func_admin_posts();
		break;
	}
}

?>