<?php
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@parsnuke.com
 * @link: http://www.parsnuke.com
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright (C) 2012 ParsNuke.com. All rights reserved.
 * @ParsNuke CMS is a Free Software
 */

defined('security') or die('Direct Access to this location is not allowed.');

function module_shoutbox_run()
{
	require_once(root_dir.'modules/shoutbox/class.php');
	$shoutbox = new shoutbox();

	$b = get_param($_GET, 'b');
	switch($b)
	{
		case 'send':
		$shoutbox->insert(get_param($_POST, 'msg'));
		break;
		
		case 'delete':
		$shoutbox->delete(get_param($_POST, 'id', 0));
		break;
		
		case 'content':
		$shoutbox->getMessages();
		break;
		
		default:
		$shoutbox->archive();
		break;
	}
}

function module_shoutbox_sitemap(&$sitemap)
{
	$sitemap->addItem(url('shoutbox'), 0, 'daily', '0.2');
}

function block_shoutbox($op, $id = null, $position = null)
{
	if($op=='remove-cache') return true;
	global $page, $options;
	
	$css = file_exists(template_dir.'styles/shoutbox.css')? '<link href="templates/'.$options['theme'].'/styles/shoutbox.css" type="text/css" rel="stylesheet" />' : '<link href="modules/shoutbox/styles/default.css" type="text/css" rel="stylesheet" />';
	if(!in_array($css, $page['head']))
	{
		$page['head'][] = $css;
	}
	unset($css);
	
	$itpl = new template('modules/shoutbox/html/block.tpl');
	return $itpl->get_var();
}

?>